<?php
/**
 * The template for displaying Author Archive pages.
 *
 * @package AmberyTheme
 * @version 1.0.0
 */
get_header(); 
if( is_active_sidebar('widgets-blog') ) {
	$ambery_default_layout_class = ambery_get_layout_class(); 
} else { 
 	$ambery_default_layout_class = 'dtr-fullwidth';  
}
ambery_page_header_hook(); ?>
<div id="dtr-main-wrapper" class="container <?php echo esc_attr( ambery_blog_classes() ); ?> <?php echo esc_attr( ambery_first_post_classes() ); ?> <?php echo esc_attr( $ambery_default_layout_class ) ?>">
    <main id="dtr-primary-section" class="dtr-content-area" <?php ambery_schema_markup( 'main' ); ?>>
        <?php
	 if ( have_posts() ) : 
	 		// get selected layout
			if ( 'dtr-blog-grid-masonry-3col' == get_theme_mod( 'ambery_blog_entry_style', 'dtr-blog-default' ) || 'dtr-blog-grid-masonry' == get_theme_mod( 'ambery_blog_entry_style', 'dtr-blog-default' ) || 'dtr-blog-grid-fitrows' == get_theme_mod( 'ambery_blog_entry_style', 'dtr-blog-default' ) || 'dtr-blog-grid-fitrows-3col' == get_theme_mod( 'ambery_blog_entry_style', 'dtr-blog-default' ) ) {
				get_template_part( '/template-parts/post/archive-layout', 'masonry' ); 
			} elseif ( 'dtr-blog-left-thumb' == get_theme_mod( 'ambery_blog_entry_style', 'dtr-blog-default' ) ) {
				get_template_part( '/template-parts/post/archive-layout', 'list' ); 
			} else {
				get_template_part( '/template-parts/post/archive-layout', 'standard' ); 
			}

		 	// pagination
			if ( 'nextprev' == get_theme_mod( 'ambery_blog_archive_pagination_style', 'numbered' ) ) {
				ambery_archive_nav();
			} else {
				ambery_numbered_pagination();
			}
		else : 
			get_template_part( '/template-parts/page/content', 'none' ); 
		endif; 
		?>
    </main>
    <!-- #dtr-primary-section -->
    <?php if( is_active_sidebar('widgets-blog') ) {
	 get_sidebar(); } ?>
    <div class="clearfix"></div>
</div>
<!-- #content-wrapper -->
<?php get_footer();