<?php
/**
 * Adds classes to the body tag
 *
 * @package AmberyTheme
 * @version 1.0.0
 */
function ambery_body_classes( $classes ) {

	// Customizer styling class
	if ( is_customize_preview() ) {
		$classes[] = 'dtr-customizer';
	}

	// header class
	if( 'header-v2' == get_theme_mod( 'ambery_header_layout', 'header-v1' ) ) {
		$classes[] = 'dtr-header-v2';
	} elseif( 'header-v3' == get_theme_mod( 'ambery_header_layout', 'header-v1' ) ) {
		$classes[] = 'dtr-header-v3';
	} elseif( 'header-v4' == get_theme_mod( 'ambery_header_layout', 'header-v1' ) ) {
		$classes[] = 'dtr-header-v4';
	} else {
		$classes[] = 'dtr-header-v1';
	}
	
	// header on scroll
	if( 'hide' == get_theme_mod( 'ambery_onscroll_header_enable', 'show' ) ) {
		$classes[] = 'hide-onscroll';
	} else {
		$classes[] = 'show-onscroll';
	}

	// Return classes
	return $classes;
}
add_filter( 'body_class', 'ambery_body_classes' );