<?php 
/**
 * Custom styles through options panel
 *
 * @package AmberyTheme
 * @version 1.0.1
 */
if ( ! function_exists( 'ambery_custom_inline_styles' ) ) :
	function ambery_custom_inline_styles() {
		wp_enqueue_style( 'ambery-inline-style', get_template_directory_uri() . '/assets/css/custom_script.css' );
		
		//variables
		$ambery_custom_css_output = $ambery_page_title_style = $sm_post_title_size = $sm_page_title_size = $sm_main_sizes_output = $sm_page_title_size_output = $sm_post_title_size_output = ''; 

		$sm_page_title_size = get_theme_mod( 'ambery_sm_page_title_size', '' );
		$sm_post_title_size = get_theme_mod( 'ambery_sm_post_title_size', '' );
		
		if ( $sm_page_title_size != '' ) {
			 $sm_page_title_size_output = 'font-size: '.  esc_attr( $sm_page_title_size ) .'';
		}
		
		if ( $sm_post_title_size != '' ) {
			 $sm_post_title_size_output = 'font-size: '.  esc_attr( $sm_post_title_size ) .'';
		}
		
		$sm_main_sizes_output .= '@media (max-width: 782px) { .dtr-page-title { ' . $sm_page_title_size_output . ' } .dtr-single-post-title .dtr-page-title { ' . $sm_post_title_size_output . ' } }';	
		
		// page title background styles
		$page_title_style 			= '';
		$bg_image 					= '';
		$bg_image_style 			= '';
		$bg_image       			= get_post_meta( get_the_ID(), '_ambery_page_header_bg_image', true );
		$bg_image_style 			= get_post_meta( get_the_ID(), '_ambery_page_header_bg_image_style', true );

		// Background image
		if ( $bg_image ) {
			if ( $bg_image_style == 'repeat' || $bg_image_style == '' ) {
				$ambery_page_title_style .= '.dtr-page-title-main { background: url('.  esc_url( $bg_image ) .') repeat !important; }';
			}
			if ( $bg_image_style == 'stretched' ) {
				$ambery_page_title_style .= '.dtr-page-title-main { background: url('. esc_url( $bg_image ) .') no-repeat center center !important; background-size: cover !important; }';
			}
			if ( $bg_image_style == 'fixed' ) {
				$ambery_page_title_style .= '.dtr-page-title-main { background: url('.  esc_url( $bg_image ) .') no-repeat center center fixed  !important; background-size: cover !important; }';
			}
		} // Background image
		// page title background styles
		
		// final custom css output	
		$ambery_custom_css_output = '' . $ambery_page_title_style . '' . $sm_main_sizes_output .'';
		wp_add_inline_style( 'ambery-inline-style', $ambery_custom_css_output );
	} 
endif;
add_action( 'wp_enqueue_scripts', 'ambery_custom_inline_styles', 30 );