<?php
// blog section fields
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_blog_layout',
	'label'       => esc_html__( 'Entries and Archives', 'ambery' ),
	'section'     => 'ambery_section_archive_settings',
	'default'     => 'dtr-right-sidebar',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
	     'dtr-fullwidth' 		=> esc_html__('No Sidebar', 'ambery'),
		 'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'ambery'),
         'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'ambery'),
	),
) );

// blog_entry_style
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_blog_entry_style',
	'label'       => esc_html__( 'Posts Layout Style', 'ambery' ),
	'section'     => 'ambery_section_archive_settings',
	'default'     => 'dtr-blog-default',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'dtr-blog-default' 				=> esc_html__('Default', 'ambery'),
		'dtr-blog-grid-masonry'			=> esc_html__('Masonry Grid - 2 column', 'ambery'),
		'dtr-blog-grid-fitrows'			=> esc_html__('Grid - 2 column', 'ambery'),
		'dtr-blog-grid-masonry-3col'	=> esc_html__('Masonry Grid - 3 column', 'ambery'),
		'dtr-blog-grid-fitrows-3col'	=> esc_html__('Grid - 3 column', 'ambery'),
	),
) );

// first_full_post_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_first_full_post_enable',
	'label'       	 => esc_html__( 'Standard First Post', 'ambery' ),
	'section'		 => 'ambery_section_archive_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Yes', 'ambery' ),
		'hide'	 => esc_html__( 'No', 'ambery' ),
	),
) );

// date
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_blog_page_date_enable',
	'label'       	 => esc_html__( 'Date', 'ambery' ),
	'section'		 => 'ambery_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// author
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_blog_page_author_enable',
	'label'       	 => esc_html__( 'Author', 'ambery' ),
	'section'		 => 'ambery_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// category
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_blog_page_category_enable',
	'label'       	 => esc_html__( 'Category', 'ambery' ),
	'section'		 => 'ambery_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// sticky
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_blog_page_sticky_enable',
	'label'       	 => esc_html__( 'Icon For Sticky Post', 'ambery' ),
	'section'		 => 'ambery_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// blog_page_excerpt_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_blog_page_excerpt_enable',
	'label'       	 => esc_html__( 'Excerpt', 'ambery' ),
	'section'		 => 'ambery_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// get_archive_excerpt_length
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'number',
	'settings'		 => 'ambery_get_archive_excerpt_length',
	'label'			 => esc_html__( 'Excerpt Length', 'ambery' ),
'description'		 => wp_kses( __("If excerpt is provided in excerpt box it will be displayed by default irrespective of excerpt length settings<br><br><strong>40&nbsp;&nbsp;</strong> - Some specific value<br><strong>1&nbsp;&nbsp;&nbsp;&nbsp;</strong> - For complete post content<br><strong>999</strong> - For upto more tag - Default", 'ambery'), array( 'br' => array(), 'strong' => array(), ) ),
	'section'		 => 'ambery_section_archive_settings',
	'default'        => '999',
	'priority'		 => 10,
) );

// read_more_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_read_more_enable',
	'label'       	 => esc_html__( 'Read more link', 'ambery' ),
	'help'    		 => esc_html__( 'Read more link can have backbround color. Settings can be found in - Typography and Styles - section', 'ambery' ),
	'section'		 => 'ambery_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// read_more_text
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'text',
	'settings'		 => 'ambery_read_more_text',
	'label'			 => esc_html__( 'Read more link text', 'ambery' ),
	'section'		 => 'ambery_section_archive_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Continue Reading', 'ambery' ),
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_read_more_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'ambery_read_more_text' => array(
			'selector'        => '.dtr-read-more',
			'render_callback'	=> function() { 
				echo esc_html( get_theme_mod( 'ambery_read_more_text' ) );
			},
		),
	),
	'transport'		 => 'auto',
) );

// single_post_layout
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_single_post_layout',
	'label'       => esc_html__( 'Single Post Layout', 'ambery' ),
	'section'     => 'ambery_section_single_settings',
	'default'     => 'dtr-right-sidebar',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
	     'dtr-fullwidth' 		=> esc_html__('No Sidebar', 'ambery'),
		 'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'ambery'),
         'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'ambery'),
	),
) );

// date
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_single_date_enable',
	'label'       	 => esc_html__( 'Date', 'ambery' ),
	'section'		 => 'ambery_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// author
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_single_author_enable',
	'label'       	 => esc_html__( 'Author', 'ambery' ),
	'section'		 => 'ambery_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// category
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_single_category_enable',
	'label'       	 => esc_html__( 'Category', 'ambery' ),
	'section'		 => 'ambery_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// comment
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_single_comment_enable',
	'label'       	 => esc_html__( 'Comment Number', 'ambery' ),
	'section'		 => 'ambery_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// tags
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_single_tags_enable',
	'label'       	 => esc_html__( 'Tags', 'ambery' ),
	'section'		 => 'ambery_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// social_share_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_social_share_enable',
	'label'       	 => esc_html__('Social Share', 'ambery'),
	'section'		 => 'ambery_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'text',
	'settings'		 => 'ambery_share_title_text',
	'label'			 => esc_html__('Share Title', 'ambery'),
	'section'		 => 'ambery_section_post_share_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Share:', 'ambery' ),
	'partial_refresh' => array(
		'ambery_share_title_text' => array(
			'selector'        => '.dtr-social-share-title',
			'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'ambery_share_title_text' ) );
	},
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
) );

// twitter_share_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_twitter_share_enable',
	'label'       	 =>  esc_html__('Twitter in Share', 'ambery'),
	'section'		 => 'ambery_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// twitter_handle_text
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'text',
	'settings'		 => 'ambery_twitter_handle_text',
	'label'			 => esc_html__('Twitter Handle Text', 'ambery'),
	'section'		 => 'ambery_section_post_share_settings',
	'priority'		 => 10,
	'default'		 => '',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'ambery_twitter_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
) );

// facebook_share_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_facebook_share_enable',
	'label'       	 =>  esc_html__('Facebook in Share', 'ambery'),
	'section'		 => 'ambery_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// pinterest_share_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_pinterest_share_enable',
	'label'       	 =>  esc_html__('Pinterest in Share', 'ambery'),
	'section'		 => 'ambery_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// googleplus_share_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_googleplus_share_enable',
	'label'       	 =>  esc_html__('Google in Share', 'ambery'),
	'section'		 => 'ambery_section_post_share_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

//  linkedin_share_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_linkedin_share_enable',
	'label'       	 =>  esc_html__('Linkedin in Share', 'ambery'),
	'section'		 => 'ambery_section_post_share_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// home_title
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 	=> 'text',
	'settings'		 	=> 'ambery_blog_title',
	'label'   		 	=>  esc_html__('Blog Page Title Text', 'ambery'),
	'section'			=> 'ambery_section_blog_page_title_settings',
	'priority'		 	=> 10,
	'partial_refresh'	=> array(
		'ambery_blog_title'		=> array(
				'selector' 			=> '.blog .dtr-blog-title',
				'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'ambery_blog_title' ) );
	},
		),
	),
    'default'        	=> esc_html__('Blog', 'ambery'),
	'transport'		 	=> 'auto',
) );

// featured image
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_archive_image_enable',
	'label'       	 => esc_html__( 'Archive / Blog Page', 'ambery' ),
	'section'		 => 'ambery_section_blog_featured_img_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_single_image_enable',
	'label'       	 => esc_html__( 'Single Post', 'ambery' ),
	'section'		 => 'ambery_section_blog_featured_img_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// ambery_blog_archive_pagination_style
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_blog_archive_pagination_style',
	'label'       => esc_html__( 'Archive Pagination Style', 'ambery' ),
	'section'     => 'ambery_section_pagination_settings',
	'default'     => 'numbered',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'numbered' 	=> esc_html__('Default - Numbered', 'ambery'),
		'nextprev'	=> esc_html__('Prev / Next', 'ambery'),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_pagers_style_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_pagination_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #222222; color: #fff;">' . esc_html__( 'All Pagers Color Settings', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_pager_bg_color',
	'label'			 => esc_html__( 'Background Color', 'ambery' ),
	'section'		 => 'ambery_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-previous-link a, .dtr-next-link a, .dtr-page-numbers a, a.page-numbers, span.page-numbers, .dtr-page-number, .current .dtr-page-number:hover' ),
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_pager_border_color',
	'label'			 => esc_html__( 'Border Color', 'ambery' ),
	'section'		 => 'ambery_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-page-numbers a, a.page-numbers, span.page-numbers, .dtr-previous-link a, .dtr-next-link a, .dtr-page-number' ),
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_pager_color',
	'label'			 => esc_html__( 'Color', 'ambery' ),
	'section'		 => 'ambery_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-page-number, .dtr-page-numbers a, a.page-numbers, span.page-numbers, .dtr-previous-link a, .dtr-next-link a' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_pager_hover_bg_color',
	'label'			 => esc_html__( 'Hover: Background Color', 'ambery' ),
	'section'		 => 'ambery_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-page-numbers a:hover, a.page-numbers:hover, span.page-numbers:hover, .page-numbers.current, .dtr-previous-link a:hover, .dtr-next-link a:hover, .post-page-numbers.current .dtr-page-number, .dtr-page-number:hover' ),
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_pager_hover_border_color',
	'label'			 => esc_html__( 'Hover: Border Color', 'ambery' ),
	'section'		 => 'ambery_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.page-numbers.current, .dtr-page-numbers a:hover, a.page-numbers:hover, .dtr-previous-link a:hover, .dtr-next-link a:hover, .dtr-page-number:hover, .post-page-numbers.current .dtr-page-number, .page-numbers.dots:hover' ),
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_pager_hover_color',
	'label'			 => esc_html__( 'Hover: Color', 'ambery' ),
	'section'		 => 'ambery_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-page-links a > span:hover, .dtr-page-links span:hover, .post-page-numbers.current .dtr-page-number, .dtr-page-numbers a:hover, a.page-numbers:hover, span.page-numbers:hover, .page-numbers.current, .dtr-previous-link a:hover, .dtr-next-link a:hover' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// single_nav
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_single_pagination_style',
	'label'       => esc_html__( 'Single Post Pagination Style', 'ambery' ),
	'section'     => 'ambery_section_pagination_settings',
	'default'     => 'nextprev_nav',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'title_nav' 	=> esc_html__('Prev / Next - Post Titles', 'ambery'),
		'nextprev_nav'	=> esc_html__('Prev / Next - Text', 'ambery'),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'text',
	'settings'		 => 'ambery_prev_nav_text',
	'label'   		 =>  esc_html__('Previous Nav Text', 'ambery'),
	'section'		 => 'ambery_section_pagination_settings',
	'priority'		 => 10,
	'default'        => esc_html__('Previous Post', 'ambery'),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'text',
	'settings'		 => 'ambery_next_nav_text',
	'label'   		 =>  esc_html__('Next Nav Text', 'ambery'),
	'section'		 => 'ambery_section_pagination_settings',
	'priority'		 => 10,
	'default'        => esc_html__('Next Post', 'ambery'),
	'transport'		 => 'auto',
) );

// single_nav
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_single_portfolio_pagination_style',
	'label'       => esc_html__( 'Single Portfolio Post Pagination Style', 'ambery' ),
	'section'     => 'ambery_section_pagination_settings',
	'default'     => 'nextprev_nav',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'title_nav' 	=> esc_html__('Prev / Next - Post Titles', 'ambery'),
		'nextprev_nav'	=> esc_html__('Prev / Next - Text', 'ambery'),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'text',
	'settings'		 => 'ambery_portfolio_prev_nav_text',
	'label'   		 =>  esc_html__('Previous Nav Text', 'ambery'),
	'section'		 => 'ambery_section_pagination_settings',
	'priority'		 => 10,
	'default'        => esc_html__('Previous Project', 'ambery'),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'text',
	'settings'		 => 'ambery_portfolio_next_nav_text',
	'label'   		 =>  esc_html__('Next Nav Text', 'ambery'),
	'section'		 => 'ambery_section_pagination_settings',
	'priority'		 => 10,
	'default'        => esc_html__('Next Project', 'ambery'),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_single_post_nav_typo',
	'label'       => esc_html__( 'Single Post Navigation Typography', 'ambery' ),
	'section'     => 'ambery_section_pagination_settings',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-nav-prev-heading, .dtr-single-nav-next-heading',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_single_post_nav_hover',
	'label'			 => esc_html__( 'Hover: Post Navigation', 'ambery' ),
	'section'		 => 'ambery_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-single-nav-prev-heading:hover, .dtr-single-nav-next-heading:hover' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );


// relatedposts_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_relatedposts_enable',
	'label'       	 => esc_html__( 'Related Posts on Single Post', 'ambery' ),
	'section'		 => 'ambery_section_related_posts_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// relatedposts_title
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'text',
	'settings'		 => 'ambery_relatedposts_title',
	'label'			 => esc_html__( 'Related Posts Title Text', 'ambery' ),
	'section'		 => 'ambery_section_related_posts_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Related Posts', 'ambery' ),
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'ambery_relatedposts_title' => array(
			'selector'        => '.dtr-relatedposts-title',
			'render_callback'	=> function() { 
				echo esc_html( get_theme_mod( 'ambery_relatedposts_title' ) );
			},
		),
	),
	'transport'		 => 'auto',
) );

// relatedposts_orderby
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_relatedposts_orderby',
	'label'       => esc_html__( 'Sort Posts By', 'ambery' ),
	'section'     => 'ambery_section_related_posts_settings',
	'default'     => 'date',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'date' 		=> esc_html__( 'Date', 'ambery' ),
		'rand' 		=> esc_html__( 'Random', 'ambery' ),
		'author'	=> esc_html__( 'Author', 'ambery' ),
		'title'		=> esc_html__( 'Title', 'ambery' ),
	),
) );

// relatedposts_order
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_relatedposts_order',
	'label'       => esc_html__( 'Order Posts By', 'ambery' ),
	'section'     => 'ambery_section_related_posts_settings',
	'default'     => 'DESC',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'DESC' 		=> esc_html__( 'Descending', 'ambery' ),
		'ASC' 		=> esc_html__( 'Ascending', 'ambery' ),
	),
) );

// relatedposts_limit
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'number',
	'settings'		 => 'ambery_relatedposts_limit',
	'label'			 => esc_html__( 'Number of Posts to show ( 3 / 6 / 9)', 'ambery' ),
	'section'		 => 'ambery_section_related_posts_settings',
	'default'        => '3',
	'priority'		 => 10,
) );

// relatedposts_thumb_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_relatedposts_thumb_enable',
	'label'       	 => esc_html__( 'Image', 'ambery' ),
	'section'		 => 'ambery_section_related_posts_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// relatedposts_date_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_relatedposts_title_enable',
	'label'       	 => esc_html__( 'Title', 'ambery' ),
	'section'		 => 'ambery_section_related_posts_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_relatedposts_author_enable',
	'label'       	 => esc_html__( 'Author', 'ambery' ),
	'section'		 => 'ambery_section_related_posts_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_relatedposts_date_enable',
	'label'       	 => esc_html__( 'Date', 'ambery' ),
	'section'		 => 'ambery_section_related_posts_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// blog starts
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_archive_post_title_typo',
	'label'       => esc_html__( 'Heading', 'ambery' ),
	'section'     => 'ambery_section_blog_archives_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-archive-post-title, .dtr-archive-post-title a',
		),
	),
) );

// archive blog meta
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_archive_meta_typo',
	'label'       => esc_html__( 'Blog Meta', 'ambery' ),
	'section'     => 'ambery_section_blog_archives_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-entry-meta, .wp-block-latest-posts__post-author, .wp-block-latest-posts__post-date',
		),
	),
) );

// blog meta
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_archive_meta_color',
	'label'			 => esc_html__( 'Blog Meta Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-entry-meta, .dtr-entry-meta a, .wp-block-latest-posts__post-author, .wp-block-latest-posts__post-date',
			'property'	=> 'color',
		),
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_archive_meta_divider_color',
	'label'			 => esc_html__( 'Blog Meta Divider Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-entry-meta .dtr-meta-item::after',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// blog meta hover
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_archive_meta_hover_color',
	'label'			 => esc_html__( 'Blog Meta Hover Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-entry-meta a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// cat
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_archive_cat_typo',
	'label'       => esc_html__( 'Category', 'ambery' ),
	'section'     => 'ambery_section_blog_archives_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-archive-category a',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_archive_cat_icon_color',
	'label'			 => esc_html__( 'Icon Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-archive-category a::before',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_archive_cat_bg_color',
	'label'			 => esc_html__( 'Background Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-archive-category a',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_archive_cat_border_color',
	'label'			 => esc_html__( 'Border Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-archive-category a',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_archive_cat_hover_color',
	'label'			 => esc_html__( 'Hover : Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-archive-category a:hover, .dtr-archive-category a:hover::before',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_archive_cat_hover_bg_color',
	'label'			 => esc_html__( 'Hover : Background Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-archive-category a:hover',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_archive_cat_hover_border_color',
	'label'			 => esc_html__( 'Hover : Border Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-archive-category a:hover',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// single post
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_single_post_title_typo',
	'label'       => esc_html__( 'Heading', 'ambery' ),
	'section'     => 'ambery_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-post-title .dtr-page-title',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'ambery_sm_post_title_size',
    'label'   				=>  esc_html__('Heading Size: For Small Screens', 'ambery'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'ambery' ),
	'section'		 		=> 'ambery_section_blog_single_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

// single meta
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_single_meta_typo',
	'label'       => esc_html__( 'Blog Meta', 'ambery' ),
	'section'     => 'ambery_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-meta',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_single_meta_color',
	'label'			 => esc_html__( 'Blog Meta Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-single-meta, .dtr-single-meta a',
			'property'	=> 'color',
		),
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_single_meta_divider_color',
	'label'			 => esc_html__( 'Blog Meta Divider Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-single-meta .dtr-meta-item::after',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_single_meta_hover_color',
	'label'			 => esc_html__( 'Blog Meta Hover Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-single-meta a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// cat
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_single_cat_typo',
	'label'       => esc_html__( 'Category', 'ambery' ),
	'section'     => 'ambery_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-pre-meta .dtr-meta-category a',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_single_cat_icon_color',
	'label'			 => esc_html__( 'Icon Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category a::before',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_single_cat_bg_color',
	'label'			 => esc_html__( 'Background Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category a',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_single_cat_border_color',
	'label'			 => esc_html__( 'Border Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category a',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_single_cat_hover_color',
	'label'			 => esc_html__( 'Hover : Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category a:hover, .dtr-single-pre-meta .dtr-meta-category a:hover::before',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_single_cat_hover_bg_color',
	'label'			 => esc_html__( 'Hover : Background Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category a:hover',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_single_cat_hover_border_color',
	'label'			 => esc_html__( 'Hover : Border Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category a:hover',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// tags
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_blog_share_typo',
	'label'       => esc_html__( 'Share Title', 'ambery' ),
	'section'     => 'ambery_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-social-share-title',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_tags_typo',
	'label'       => esc_html__( 'Post Tags / Tagcloud Tags', 'ambery' ),
	'section'     => 'ambery_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.wp-block-tag-cloud a, .dtr-post-tags-list a',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_tags_bg_color',
	'label'			 => esc_html__( 'Background Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.wp-block-tag-cloud a, .dtr-post-tags-list a',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_tags_border_color',
	'label'			 => esc_html__( 'Border Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.wp-block-tag-cloud a, .dtr-post-tags-list a',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// tag hover
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_tags_hover_color',
	'label'			 => esc_html__( 'Hover : Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-post-tags-list a:hover, .wp-block-tag-cloud a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_tags_hover_bg_color',
	'label'			 => esc_html__( 'Hover : Background Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-post-tags-list a:hover, .wp-block-tag-cloud a:hover',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_tags_hover_border_color',
	'label'			 => esc_html__( 'Hover : Border Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-post-tags-list a:hover, .wp-block-tag-cloud a:hover',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// comment reply
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_comment_reply_typo',
	'label'       => esc_html__( 'Comment reply Link', 'ambery' ),
	'section'     => 'ambery_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-reply a',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_comment_reply_bg_color',
	'label'			 => esc_html__( 'Background Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-reply a',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_comment_reply_hover_bg_color',
	'label'			 => esc_html__( 'Hover : Background Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-reply a:hover',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_comment_reply_hover_color',
	'label'			 => esc_html__( 'Hover : Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-reply a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// comment 
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_blog_comment_heading_typo',
	'label'       => esc_html__( 'Comment Section Title / Related Posts Section Title', 'ambery' ),
	'section'     => 'ambery_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.comments-title, .comment-reply-title, .dtr-relatedposts-title',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_blog_comment_heading_color',
	'label'			 => esc_html__( 'Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.comments-title, .comment-reply-title, .dtr-relatedposts-title',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_blog_comment_meta_typo',
	'label'       => esc_html__( 'Comment Meta Data', 'ambery' ),
	'section'     => 'ambery_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-comment-date, .comment-edit-link',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_blog_comment_meta_color',
	'label'			 => esc_html__( 'Comment Meta Data Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-comment-date, .comment-edit-link',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_blog_comment_meta_hover_color',
	'label'			 => esc_html__( 'Comment Meta Data Hover Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-comment-date:hover, .comment-edit-link:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_related_posts_bg_color',
	'label'			 => esc_html__( 'Related Posts Section Background Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-relatedposts',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_related_posts_heading_typo',
	'label'       => esc_html__( 'Heading', 'ambery' ),
	'section'     => 'ambery_section_blog_single_typo',
	'default'     => array(
		'color'      	 => '',
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-relatedpost-heading a',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_related_posts_meta',
	'label'			 => esc_html__( 'Meta Data Color', 'ambery' ),
	'section'		 => 'ambery_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-relatedposts-item .dtr-meta a',
			'property'	=> 'color',
		),
		array(
			'element' 	=> '.dtr-relatedposts-item .dtr-meta-item::after',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );