<?php
// Footer section fields
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_footer_enable',
	'label'       	 => esc_html__( 'Footer', 'ambery' ),
	'description'    => esc_html__( 'You can individually hide footer rows below.', 'ambery' ),
	'section'		 => 'ambery_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// footer_columns_top_padding
ambery_Kirki::add_field( 'ambery_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_footer_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'ambery' ),
		'section'     	=> 'ambery_section_footer_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'ambery_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-footer-row',
			'property'	 => 'padding-top',
			)
		),
	)
);

// footer_bottom_padding
ambery_Kirki::add_field( 'ambery_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_footer_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'ambery' ),
		'section'     	=> 'ambery_section_footer_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'ambery_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-footer-row',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

// footer_top_columns
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_footer_top_columns_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_footer_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'First - Footer Columns Row', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_footer_top_columns_enable',
	'label'       	 => '',
	'section'		 => 'ambery_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// footer_columns
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_footer_top_columns',
	'label'       =>  esc_html__('Number of Columns', 'ambery'),
	'section'     => 'ambery_section_footer_settings',
	'default'     => '4',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'ambery_footer_top_columns_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'1'	=> esc_html__( 'Single Column', 'ambery' ),
		'2'	=> esc_html__( 'Two Equal Columns', 'ambery' ),
		'3'	=> esc_html__( 'Three Equal Columns', 'ambery' ),
		'4'	=> esc_html__( '6 + 3 + 3', 'ambery' ),
	),
) );

// footer_columns
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_footer_columns_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_footer_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Second - Footer Columns Row', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_footer_columns_enable',
	'label'       	 => '',
	'section'		 => 'ambery_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );


// footer_columns
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_footer_columns',
	'label'       =>  esc_html__('Number of Columns', 'ambery'),
	'section'     => 'ambery_section_footer_settings',
	'default'     => '4',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'ambery_footer_columns_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'1'	=> esc_html__( 'Single Column', 'ambery' ),
		'2'	=> esc_html__( 'Two Equal Columns', 'ambery' ),
		'3'	=> esc_html__( 'Three Equal Columns', 'ambery' ),
		'4'	=> esc_html__( 'Four Equal Columns', 'ambery' ),
		'5'	=> esc_html__( '3 + 3 + 6', 'ambery' ),
		'6'	=> esc_html__( '3 + 6 + 3', 'ambery' ),
		'7'	=> esc_html__( '4 + 5 + 3', 'ambery' ),
		'8'	=> esc_html__( '4 + 3 + 2 + 3', 'ambery' ),
	),
) );

// footer_columns_top_padding
ambery_Kirki::add_field( 'ambery_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_footer_columns_top_margin',
		'label'		 	=> esc_html__( 'Margin Top', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'ambery' ),
		'section'     	=> 'ambery_section_footer_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'ambery_footer_columns_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'ambery_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-footer-row2',
			'property'	 => 'margin-top',
			)
		),
	)
);

// copyright_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_copyright_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_footer_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Copyright', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_copyright_enable',
	'label'       	 => '',
	'section'		 => 'ambery_section_footer_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// copyright_columns
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_copyright_columns',
	'label'       =>  esc_html__('Number of Copyright Columns', 'ambery'),
	'section'     => 'ambery_section_footer_settings',
	'default'     => '2',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'ambery_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'1'	=> esc_html__( 'Single Column', 'ambery' ),
		'2'	=> esc_html__( 'Two Equal Columns', 'ambery' ),
	),
) );

// copyright_first_col_text_align
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'select',
	'settings'		 => 'copyright_first_col_text_align',
	'label'       	 => esc_html__( 'Copyright First Column - Text Align', 'ambery' ),
	'section'		 => 'ambery_section_footer_settings',
	'default'     	 => 'text-left',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'ambery_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'text-center'	=> esc_html__( 'Center', 'ambery' ),
		'text-left'	 	=> esc_html__( 'Left', 'ambery' ),
		'text-right'	=> esc_html__( 'Right', 'ambery' ),
	),
) );

// copyright_second_col_text_align
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'select',
	'settings'		 => 'copyright_second_col_text_align',
	'label'       	 => esc_html__( 'Copyright Second Column - Text Align', 'ambery' ),
	'section'		 => 'ambery_section_footer_settings',
	'default'     	 => 'text-right',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'ambery_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'text-center'	=> esc_html__( 'Center', 'ambery' ),
		'text-left'	 	=> esc_html__( 'Left', 'ambery' ),
		'text-right'	=> esc_html__( 'Right', 'ambery' ),
	),
) );

// copyright_top_padding
ambery_Kirki::add_field( 'ambery_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_copyright_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'ambery' ),
		'section'     	=> 'ambery_section_footer_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'ambery_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'ambery_copyright_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-copyright',
			'property'	 => 'padding-top',
			)
		),
	)
);

// copyright_bottom_padding
ambery_Kirki::add_field( 'ambery_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_copyright_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'ambery' ),
		'section'     	=> 'ambery_section_footer_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'ambery_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'ambery_copyright_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-copyright',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

// footer styles
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_footer_style_settings',
	'section'	 => 'ambery_section_footer_style_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Complete Footer Section', 'ambery' ) . '</div>',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'background',
	'settings'    => 'ambery_footer_background',
	'section'     => 'ambery_section_footer_style_settings',
    'default'     => array(
            'background-color'	=> '',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> ''
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'output'    => array( array( 'element'  => '#dtr-footer-section' ), ),
) );

// footer_border_top_width
ambery_Kirki::add_field( 'ambery_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_footer_border_top_width',
		'label'		 	=> esc_html__( 'Border Top Width', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 1px', 'ambery' ),
		'section'     	=> 'ambery_section_footer_style_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'ambery_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section',
			'property'	 => 'border-top-width',
			)
		),
	)
);

// footer_border_top_color
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_footer_border_top_color',
	'label'			 => esc_html__( 'Border Top Color', 'ambery' ),
	'section'		 => 'ambery_section_footer_style_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section',
			'property'	 => 'border-top-color',
		)
	),
	'transport'		 => 'auto',
) );

// copyright
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_copyright_row_settings',
	'section'	 => 'ambery_section_footer_style_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Copyright', 'ambery' ) . '</div>',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'ambery_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'	 => 10,
) );

// copyright_background
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'background',
	'settings'    => 'ambery_copyright_background',
	'section'     => 'ambery_section_footer_style_settings',
    'default'     => array(
			'background-color'	=> '',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'ambery_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'   => 'auto',
	'output'    => array( array( 'element'  => '.dtr-copyright' ), ),
) );

ambery_Kirki::add_field( 'ambery_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_copyright_border_top_width',
		'label'		 	=> esc_html__( 'Border Top Width', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 1px', 'ambery' ),
		'section'     	=> 'ambery_section_footer_style_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'ambery_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'ambery_copyright_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-copyright',
			'property'	 => 'border-top-width',
			)
		),
	)
);

// copyright_border_top_color
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_copyright_border_top_color',
	'label'			 => esc_html__( 'Border Color', 'ambery' ),
	'section'		 => 'ambery_section_footer_style_settings',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.dtr-copyright',
			'property'	 => 'border-color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'ambery_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );


// scroll top
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_enable_scroll_top',
	'label'       	 => esc_html__( 'Scroll To Top', 'ambery' ),
	'section'		 => 'ambery_section_scroll_top',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// scroll top background
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_scroll_top_bg_color',
	'label'			 => esc_html__( 'Background Color', 'ambery' ),
	'section'		 => 'ambery_section_scroll_top',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '#take-to-top',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_scroll_top_color',
	'label'			 => esc_html__( 'Icon Color', 'ambery' ),
	'section'		 => 'ambery_section_scroll_top',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '#take-to-top:before',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_scroll_top_hover_bg_color',
	'label'			 => esc_html__( 'Hover - Background Color', 'ambery' ),
	'section'		 => 'ambery_section_scroll_top',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '#take-to-top:hover',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_scroll_top_hover_color',
	'label'			 => esc_html__( 'Hover - Icon Color', 'ambery' ),
	'section'		 => 'ambery_section_scroll_top',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '#take-to-top:hover:before',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// take top on mobile
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_enable_mobile_scroll_top',
	'label'       => esc_html__( 'Scroll To Top on Small Screens', 'ambery' ),
	'section'     => 'ambery_section_scroll_top',
	'default'     => '',
	'priority'    => 10,
	'choices'     => array(
		''	 				=> esc_html__( 'Show', 'ambery' ),
		'd-none d-lg-block'	=> esc_html__( 'Hide', 'ambery' ),
	),
) );

// footer starts
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_footer_typo',
	'label'       => esc_html__( 'Footer Typography', 'ambery' ),
	'section'     => 'ambery_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap',
		),
	),
) );
// footer text
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_footer_color',
	'label'			 => esc_html__( 'Color', 'ambery' ),
	'section'		 => 'ambery_section_footer_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-footer-section-wrap',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer link
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_footer_link_color',
	'label'			 => esc_html__( 'Link Color', 'ambery' ),
	'section'		 => 'ambery_section_footer_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-footer-section-wrap a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer link hover
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_footer_link_hover_color',
	'label'			 => esc_html__( 'Link Hover Color', 'ambery' ),
	'section'		 => 'ambery_section_footer_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-footer-section-wrap a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer headings
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_footer_headings_color',
	'label'			 => esc_html__( 'Headings Color', 'ambery' ),
	'section'		 => 'ambery_section_footer_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => array( '.dtr-footer-section-wrap h1', '.dtr-footer-section-wrap h2', '.dtr-footer-section-wrap h3', '.dtr-footer-section-wrap h4', '.dtr-footer-section-wrap h5', '.dtr-footer-section-wrap h6' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// h1
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_footer_h1_typo',
	'label'       => esc_html__( 'H1', 'ambery' ),
	'section'     => 'ambery_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap h1',
		),
	),
) );

// h2
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_footer_h2_typo',
	'label'       => esc_html__( 'H2', 'ambery' ),
	'section'     => 'ambery_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap h2',
		),
	),
) );

// h3
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_footer_h3_typo',
	'label'       => esc_html__( 'H3', 'ambery' ),
	'section'     => 'ambery_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap h3',
		),
	),
) );

// h4
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_footer_h4_typo',
	'label'       => esc_html__( 'H4', 'ambery' ),
	'section'     => 'ambery_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap h4',
		),
	),
) );

// h5
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_footer_h5_typo',
	'label'       => esc_html__( 'H5', 'ambery' ),
	'section'     => 'ambery_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap h5',
		),
	),
) );

// h6
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_footer_h6_typo',
	'label'       => esc_html__( 'H6', 'ambery' ),
	'section'     => 'ambery_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap h6',
		),
	),
) );

// copyright
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_copyright_typo',
	'label'       => esc_html__( 'Copyright', 'ambery' ),
	'section'     => 'ambery_section_copyright_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap .dtr-copyright',
		),
	),
) );

// copyright text
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_copyright_color',
	'label'			 => esc_html__( 'Copyright Color', 'ambery' ),
	'section'		 => 'ambery_section_copyright_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-footer-section-wrap .dtr-copyright',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// link
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_copyright_link_color',
	'label'			 => esc_html__( 'Copyright Link Color', 'ambery' ),
	'section'		 => 'ambery_section_copyright_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-footer-section-wrap .dtr-copyright a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// link hover
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_copyright_link_hover_color',
	'label'			 => esc_html__( 'Copyright Link Hover Color', 'ambery' ),
	'section'		 => 'ambery_section_copyright_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-footer-section-wrap .dtr-copyright a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );