<?php
// Header section fields
// header layout
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_header_layout',
	'label'       => esc_html__( 'Select Header Layout Style', 'ambery' ),
	'description' => esc_html__( 'This will be applied globally.', 'ambery' ),
	'section'     => 'ambery_section_header_general_settings',
	'default'     => 'header-v1',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'header-v1'	=> esc_html__( 'Style 1 - Classic', 'ambery' ),
	    'header-v2'	=> esc_html__( 'Style 2 - Center Menu', 'ambery' ),
		'header-v3'	=> esc_html__( 'Style 3 - Top Fixed', 'ambery' ),
		'header-v4'	=> esc_html__( 'Style 4 - Center Logo', 'ambery' ),
	),
) );

// menubar
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_header_menubar_enable',
	'label'       	 => esc_html__( 'Menubar', 'ambery' ),
	'section'		 => 'ambery_section_header_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// Header Search
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_header_search_enable',
	'label'       	 => esc_html__( 'Header Search', 'ambery' ),
	'section'		 => 'ambery_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_header_search_mleft',
		'label'		 	=> esc_html__( 'Margin Left', 'ambery' ),
		'section'     	=> 'ambery_section_header_general_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'description'	=> esc_html__( 'Provide only if required, like in case hiding widget area.', 'ambery' ),
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'ambery_header_search_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-search-modal-trigger',
			'property'	 => 'margin-left',
			)
		),
	)
);

// button in header
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_header_btn_enable',
	'label'       	 => esc_html__( 'Button in Header', 'ambery' ),
	'section'		 => 'ambery_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v4',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// topbar
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_topbar_enable',
	'label'       	 => esc_html__( 'Topbar', 'ambery' ),
	'section'		 => 'ambery_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v4',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// Header Widget Area - One
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_header_widget_area_one_enable',
	'label'       	 => esc_html__( 'Header Widget Area - One', 'ambery' ),
	'section'		 => 'ambery_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// Header Widget Area - Two
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_header_widget_area_two_enable',
	'label'       	 => esc_html__( 'Header Widget Area - Two', 'ambery' ),
	'section'		 => 'ambery_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v4',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// Header Widget Area - Three
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_header_widget_area_three_enable',
	'label'       	 => esc_html__( 'Header Widget Area - Three', 'ambery' ),
	'section'		 => 'ambery_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v4',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// main header starts
// background
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        	=> 'background',
	'settings'    	=> 'ambery_main_header_background',
	'label'       	=> esc_html__( 'Background', 'ambery' ),
	'section'     	=> 'ambery_section_main_header_settings',
    'default'		=> array(
            'background-color'	=> '',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> 100
        ),
	'priority'		=> 10,
	'transport'		=> 'auto',
	'output'		=> array( array( 'element'  => '#dtr-header-global' ),  ),
) );

ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_main_header_border_bottom_width',
		'label'		 	=> esc_html__( 'Border Bottom Width', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 1px', 'ambery' ),
		'section'     	=> 'ambery_section_main_header_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-header-global',
			'property'	 => 'border-bottom-width',
			)
		),
	)
);

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_main_header_border_bottom_color',
	'label'			 => esc_html__( 'Border Bottom Color', 'ambery' ),
	'section'		 => 'ambery_section_main_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '#dtr-header-global',
			'property'	 => 'border-bottom-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_main_header_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'ambery' ),
		'section'     	=> 'ambery_section_main_header_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'ambery' ),
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-header-global',
			'property'	 => 'padding-top',
			)
		),
	)
);

ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_main_header_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'ambery' ),
		'section'     	=> 'ambery_section_main_header_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'ambery' ),
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-header-global',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

// topbar starts
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'background',
	'settings'    => 'ambery_topbar_background',
	'label'       => esc_html__( 'Background', 'ambery' ),
	'section'     => 'ambery_section_topbar_settings',
    'default'     => array(
            'background-color'	=> '',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> 100
        ),
	'priority'	=> 10,
	'transport'	=> 'auto',
	'output'    => array( array( 'element'  => '#dtr-topbar' ),  ),
) );

ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_topbar_border_bottom_width',
		'label'		 	=> esc_html__( 'Border Bottom Width', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 1px', 'ambery' ),
		'section'     	=> 'ambery_section_topbar_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'ambery_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'ambery_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '#dtr-topbar',
			'property'	 => 'border-bottom-width',
			)
		),
	)
);

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_topbar_border_bottom_color',
	'label'			 => esc_html__( 'Border Bottom Color', 'ambery' ),
	'section'		 => 'ambery_section_topbar_settings',
	'priority'		 => 10,
	'default'        => '',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v4',
		),
	),
	'output'		 => array(
		array(
			'element'	 => '#dtr-topbar',
			'property'	 => 'border-bottom-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_topbar_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'ambery' ),
		'section'     	=> 'ambery_section_topbar_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'ambery' ),
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'ambery_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'ambery_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '#dtr-topbar',
			'property'	 => 'padding-top',
			)
		),
	)
);

ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_topbar_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'ambery' ),
		'section'     	=> 'ambery_section_topbar_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'ambery' ),
		'priority'		 => 10,
		'active_callback'  => array(
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
			array(
				'setting'  => 'ambery_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '#dtr-topbar',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

// topbar typography
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_topbar_typo',
	'label'       => esc_html__( 'Font Settings', 'ambery' ),
	'section'     => 'ambery_section_topbar_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => array( '#dtr-topbar' ),
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_topbar_color',
	'label'			 => esc_html__( 'Text Color', 'ambery' ),
	'section'		 => 'ambery_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '#dtr-topbar' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_topbar_link_color',
	'label'			 => esc_html__( 'Link Color', 'ambery' ),
	'section'		 => 'ambery_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '#dtr-topbar a' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_topbar_link_hover',
	'label'			 => esc_html__( 'Link Hover Color', 'ambery' ),
	'section'		 => 'ambery_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '#dtr-topbar a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_topbar_icon_color',
	'label'			 => esc_html__( 'General Icons color ( Ex. Contact Widget, Any Icon )', 'ambery' ),
	'section'		 => 'ambery_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '#dtr-topbar i, #dtr-topbar .dtr-contact-widget li:before' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );

// social icons
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_topbar_social_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_topbar_typo',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #222222; color: #fff;">' . esc_html__( 'Social Icon - Style: Only Icon', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_topbar_social_color',
	'label'			 => esc_html__( 'Icon color', 'ambery' ),
	'section'		 => 'ambery_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '#dtr-topbar .dtr-social-default li a' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_topbar_social_hover_color',
	'label'			 => esc_html__( 'Icon Hover Color', 'ambery' ),
	'section'		 => 'ambery_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '#dtr-topbar .dtr-social-default li a:hover' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_topbar_social_hover_bg_color',
	'label'			 => esc_html__( 'Icon Hover Background Color', 'ambery' ),
	'section'		 => 'ambery_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '#dtr-topbar .dtr-social-default li a:hover' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );
// sticky header
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_onscroll_header_enable',
	'label'       	 => esc_html__( 'Hide header on scroll for header variation 1, 2 and 4', 'ambery' ),
	'section'		 => 'ambery_section_sticky_header_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'        	=> 'background',
	'settings'    	=> 'ambery_sticky_header_background_color',
	'label'       	=> esc_html__( 'Background', 'ambery' ),
	'section'     	=> 'ambery_section_sticky_header_settings',
    'default'		=> array(
            'background-color'	=> '',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> 100
        ),
	'priority'		=> 10,
	'transport'		=> 'auto',
	'output'		=> array( array( 'element'  => '#dtr-header-global.header-fixed' ),  ),
) );

ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_sticky_header_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'ambery' ),
		'section'     	=> 'ambery_section_sticky_header_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-header-global.header-fixed',
			'property'	 => 'padding-top',
			)
		),
	)
);

ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_sticky_header_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'ambery' ),
		'section'     	=> 'ambery_section_sticky_header_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-header-global.header-fixed',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

// page title starts
// background
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'background',
	'settings'    => 'ambery_page_title_background',
	'label'       => esc_html__( 'Background', 'ambery' ),
	'label'       => esc_html__( 'This is a global setting. Page can have individual image set on page edit screen.', 'ambery' ),
	'section'     => 'ambery_section_page_title_settings',
    'default'     => array(
            'background-color'	=> '',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'    => array( array( 'element'  => '.dtr-page-title-main' ), ),
) );

// overlay background
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_page_title_overlay_background',
	'label'			 => esc_html__( 'Overlay Color', 'ambery' ),
	'section'		 => 'ambery_section_page_title_settings',
	'priority'		 => 10,
	'choices'     => [
			'alpha' => true,
		],
	'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-overlay',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// page_title_border_top_width
ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_page_title_border_top_width',
		'label'		 	=> esc_html__( 'Border Top Width', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 1px', 'ambery' ),
		'section'     	=> 'ambery_section_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-main',
			'property'	 => 'border-top-width',
			)
		),
	)
);
// page_title_border_top_color
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_page_title_border_top_color',
	'label'			 => esc_html__( 'Border Top Color', 'ambery' ),
	'section'		 => 'ambery_section_page_title_settings',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-main',
			'property'	 => 'border-top-color',
		)
	),
	'transport'		 => 'auto',
) );

// page_title_border_bottom_width
ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_page_title_border_bottom_width',
		'label'		 	=> esc_html__( 'Border Bottom Width', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 1px', 'ambery' ),
		'section'     	=> 'ambery_section_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-main',
			'property'	 => 'border-bottom-width',
			)
		),
	)
);

// page_title_border_bottom_color
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_page_title_border_bottom_color',
	'label'			 => esc_html__( 'Border Bottom Color', 'ambery' ),
	'section'		 => 'ambery_section_page_title_settings',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-main',
			'property'	 => 'border-bottom-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_page_title_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 50px', 'ambery' ),
		'section'     	=> 'ambery_section_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-wrapper',
			'property'	 => 'padding-top',
			)
		),
	)
);

ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_page_title_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 50px', 'ambery' ),
		'section'     	=> 'ambery_section_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-wrapper',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

ambery_Kirki::add_field( 'ambery_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'ambery_breadcrumb_top_margin',
		'label'		 	=> esc_html__( 'Breadcrumb Top Margin', 'ambery' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 50px', 'ambery' ),
		'section'     	=> 'ambery_section_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.dtr-breadcrumb-wrapper',
			'property'	 => 'margin-top',
			)
		),
	)
);
// page heading ends

// pages page title section
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'select',
	'settings'    => 'ambery_page_title_section_align',
	'label'       => esc_html__( 'Page Title - Text Align', 'ambery' ),
	'section'     => 'ambery_section_page_title_combo_settings',
	'default'     => 'text-left',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'text-left'		=> esc_html__( 'Left', 'ambery' ),
		'text-center'	=> esc_html__( 'Center', 'ambery' ),
		'text-right'	=> esc_html__( 'Right', 'ambery' ),
	),
) );

// page title
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_page_title_display_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_page_title_combo_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Pages', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_enable_page_title',
	'label'       	 => esc_html__( 'Complete Page Title Section', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// page heading
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_enable_page_heading',
	'label'       	 => esc_html__( 'Page Heading', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_enable_page_title',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// breadcrumb
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_enable_page_breadcrumb',
	'label'       	 => esc_html__( 'Breadcrumb', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_enable_page_title',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );
// archive
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_archive_title_display_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_page_title_combo_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Archives', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

// archive_title_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_archive_title_enable',
	'label'       	 => esc_html__( 'Complete Page Title Section', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// archive_heading_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_archive_heading_enable',
	'label'       	 => esc_html__( 'Page Heading', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_archive_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// archive_breadcrumb_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_archive_breadcrumb_enable',
	'label'       	 => esc_html__( 'Breadcrumb', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_archive_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// single_title_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_single_title_display_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_page_title_combo_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Single Post', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_single_title_enable',
	'label'       	 => esc_html__( 'Complete Page Title Section', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// single_heading_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_single_heading_enable',
	'label'       	 => esc_html__( 'Page Heading', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,

	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_single_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// single_breadcrumb_enable
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_single_breadcrumb_enable',
	'label'       	 => esc_html__( 'Breadcrumb', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_single_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// portfolio page title section
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_portfolio_title_display_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_page_title_combo_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Portfolio Single Post', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );


ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_portfolio_single_header',
	'label'       	 => esc_html__( 'Complete Page Title Section', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_portfolio_single_heading',
	'label'       	 => esc_html__( 'Page Title', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_portfolio_single_header',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_portfolio_single_breadcrumb',
	'label'       	 => esc_html__( 'Breadcrumb', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_portfolio_single_header',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// testimonial page title section
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_testimonial_title_display_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_page_title_combo_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Testimonial Single Post', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );


ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_testimonial_single_header',
	'label'       	 => esc_html__( 'Complete Page Title Section', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_testimonial_single_heading',
	'label'       	 => esc_html__( 'Page Title', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_testimonial_single_header',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'radio',
	'settings'		 => 'ambery_testimonial_single_breadcrumb',
	'label'       	 => esc_html__( 'Breadcrumb', 'ambery' ),
	'section'		 => 'ambery_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_testimonial_single_header',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'ambery' ),
		'hide'	 => esc_html__( 'Hide', 'ambery' ),
	),
) );

// responsive header
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        	=> 'background',
	'settings'    	=> 'ambery_mobile_header_bg_color',
	'label'       	=> esc_html__( 'Background', 'ambery' ),
	'section'     	=> 'ambery_section_mobile_header_settings',
    'default'		=> array(
            'background-color'	=> '',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> 100
        ),
	'priority'		=> 10,
	'transport'		=> 'auto',
	'output'		=> array( array( 'element'  => '#dtr-responsive-header' ),  ),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_mobile_hamburger_color',
	'label'			 => esc_html__( 'Hamburger Color', 'ambery' ),
	'section'		 => 'ambery_section_mobile_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-hamburger-lines, .dtr-hamburger-lines:after, .dtr-hamburger-lines:before',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// responsive menu typo
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_responsive_menu_bg_color',
	'label'			 => esc_html__( 'Drop Menu Background Color', 'ambery' ),
	'section'		 => 'ambery_section_mobile_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.slicknav_nav, .slicknav_menu',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_responsive_menu_typo',
	'label'       => esc_html__( 'Typography', 'ambery' ),
	'section'     => 'ambery_section_mobile_header_settings',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'color'          => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.slicknav_nav, .slicknav_nav a, .slicknav_menu .slicknav_menutxt, .slicknav_menu .current-menu-item .sub-menu a',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_responsive_menu_hover',
	'label'			 => esc_html__( 'Link Hover / Active Color', 'ambery' ),
	'section'		 => 'ambery_section_mobile_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.slicknav_nav a:hover, .slicknav_menu .current-menu-item a, .slicknav_menu .current-menu-item .sub-menu a:hover, .slicknav_nav .slicknav_row:hover, .slicknav_nav .slicknav_row:hover a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_responsive_menu_link_border_color',
	'label'			 => esc_html__( 'Link Border Color', 'ambery' ),
	'section'		 => 'ambery_section_mobile_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.slicknav_nav li',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_responsive_menu_arrow_bg_color',
	'label'			 => esc_html__( 'Arrow Background Color', 'ambery' ),
	'section'		 => 'ambery_section_mobile_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.slicknav_arrow',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_responsive_menu_arrow_color',
	'label'			 => esc_html__( 'Arrow Color', 'ambery' ),
	'section'		 => 'ambery_section_mobile_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.slicknav_arrow',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );


// header button
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'text',
	'settings'		 => 'ambery_header_btn_text',
	'label'			 => esc_html__( 'Button Link text', 'ambery' ),
	'section'		 => 'ambery_section_header_button_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Get Started', 'ambery' ),
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_header_btn_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v4',
		),
	),
	'partial_refresh' => array(
		'ambery_header_btn_text' => array(
			'selector'        => '#dtr-header-global .dtr-btn',
			'render_callback'	=> function() { 
				echo esc_html( get_theme_mod( 'ambery_header_btn_text' ) );
			},
		),
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'text',
	'settings'		 => 'ambery_header_btn_link',
	'label'			 => esc_html__( 'Button URL', 'ambery' ),
	'section'		 => 'ambery_section_header_button_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( '#', 'ambery' ),
	'active_callback'  => array(
		array(
			'setting'  => 'ambery_header_btn_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
		array(
			'setting'  => 'ambery_header_layout',
			'operator' => '!=',
			'value'    => 'header-v4',
		),
	),
	'transport'		 => 'auto',
) );
// header button styles
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_header_btn_bg_color',
	'label'			 => esc_html__( 'Background Color', 'ambery' ),
	'section'		 => 'ambery_section_header_button_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-btn.dtr-btn',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_header_btn_border_color',
	'label'			 => esc_html__( 'Border Color', 'ambery' ),
	'section'		 => 'ambery_section_header_button_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-btn.dtr-btn',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_header_btn_color',
	'label'			 => esc_html__( 'Color', 'ambery' ),
	'section'		 => 'ambery_section_header_button_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-btn.dtr-btn',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_header_btn_hover_bg_color',
	'label'			 => esc_html__( 'Hover: Background Color', 'ambery' ),
	'section'		 => 'ambery_section_header_button_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-btn.dtr-btn:hover',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_header_btn_hover_border_color',
	'label'			 => esc_html__( 'Hover: Border Color', 'ambery' ),
	'section'		 => 'ambery_section_header_button_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-btn.dtr-btn:hover',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_header_btn_hover_color',
	'label'			 => esc_html__( 'Hover: Color', 'ambery' ),
	'section'		 => 'ambery_section_header_button_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-btn.dtr-btn:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// header search
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_header_search_color',
	'label'			 => esc_html__( 'Icon Color', 'ambery' ),
	'section'		 => 'ambery_section_header_search_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-search-modal-trigger:after',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_header_search_hover_color',
	'label'			 => esc_html__( 'Icon Hover Color', 'ambery' ),
	'section'		 => 'ambery_section_header_search_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-search-modal-trigger:hover:after',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// header search
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_sticky_header_search_color',
	'label'			 => esc_html__( 'On Scroll Header: Icon Color', 'ambery' ),
	'section'		 => 'ambery_section_header_search_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.header-fixed .dtr-search-modal-trigger:after',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_sticky_header_search_hover_color',
	'label'			 => esc_html__( 'On Scroll Header: Icon Hover Color', 'ambery' ),
	'section'		 => 'ambery_section_header_search_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.header-fixed .dtr-search-modal-trigger:hover:after',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// widget on in main header row
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_mainheader_widget_typo',
	'label'       => esc_html__( 'Widget in Main Header Row', 'ambery' ),
	'section'     => 'ambery_section_mainheader_widget_typo',
	'description' => esc_html__( 'Will work for widget in main header row.', 'ambery' ),
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => array( '.dtr-header-widget-wrapper' ),
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_mainheader_widget_color',
	'label'			 => esc_html__( 'Text Color', 'ambery' ),
	'section'		 => 'ambery_section_mainheader_widget_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-header-widget-wrapper' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_mainheader_widget_link_color',
	'label'			 => esc_html__( 'Link Color', 'ambery' ),
	'section'		 => 'ambery_section_mainheader_widget_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-header-widget-wrapper a' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_mainheader_widget_link_hover',
	'label'			 => esc_html__( 'Link Hover Color', 'ambery' ),
	'section'		 => 'ambery_section_mainheader_widget_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-widget-wrapper a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// page title
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_page_title_typo',
	'label'       => esc_html__( 'Page Title / Archives Page Title', 'ambery' ),
	'section'     => 'ambery_section_page_title_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-page-title',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'ambery_sm_page_title_size',
    'label'   				=>  esc_html__('Page Title Size: For Small Screens', 'ambery'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'ambery' ),
	'section'		 		=> 'ambery_section_page_title_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_breadcrumb_typo',
	'label'       => esc_html__( 'Breadcrumb', 'ambery' ),
	'section'     => 'ambery_section_page_title_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.breadcrumbs, .breadcrumbs a',
		),
	),
) );

// breadcrumb_link_hover
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_breadcrumb_link_color',
	'label'			 => esc_html__( 'Breadcrumb Color', 'ambery' ),
	'section'		 => 'ambery_section_page_title_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.breadcrumbs, .breadcrumbs a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// breadcrumb_link_hover
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_breadcrumb_link_hover',
	'label'			 => esc_html__( 'Breadcrumb Link Hover', 'ambery' ),
	'section'		 => 'ambery_section_page_title_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.breadcrumbs a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// breadcrumb_separator_color
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_breadcrumb_separator_color',
	'label'			 => esc_html__( 'Breadcrumb Separator Color', 'ambery' ),
	'section'		 => 'ambery_section_page_title_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.breadcrumbs li:after',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu starts
// default menu
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_nav_typo_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_menu_typo',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Menu Font Settings', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

// menu font
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_menu_link_typo',
	'label'       => esc_html__( 'Font Settings', 'ambery' ),
	'section'     => 'ambery_section_menu_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.main-navigation .sf-menu li a',
		),
	),
) );

// dropdown font
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_menu_dropdown_typo',
	'label'       => esc_html__( 'Dropdown Font Settings', 'ambery' ),
	'section'     => 'ambery_section_menu_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.main-navigation .sf-menu li li a',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_dark_nav_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_menu_typo',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #333; color: #fff;">' . esc_html__( 'Color Settings: Default Menu', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_default_menu_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_menu_typo',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'This is menu on page load.', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

// menu link
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_menu_link_color',
	'label'			 => esc_html__( 'Link color', 'ambery' ),
	'section'		 => 'ambery_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-menu-default .sf-menu li a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link hover
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_menu_link_hover_color',
	'label'			 => esc_html__( 'Link Hover color', 'ambery' ),
	'section'		 => 'ambery_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-menu-default .sf-menu li a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link active
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_menu_link_active_color',
	'label'			 => esc_html__( 'Link Active color', 'ambery' ),
	'section'		 => 'ambery_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-default .sf-menu li.current-menu-item a, .dtr-menu-default .sf-menu li.current-menu-ancestor > a, .dtr-menu-default .sf-menu .active' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Background Color
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_menu_dropdown_bg_color',
	'label'			 => esc_html__( 'Dropdown Background Color', 'ambery' ),
	'section'		 => 'ambery_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-default .sf-menu ul', '.dtr-menu-default .sf-menu ul ul' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// dropdown link color
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_menu_dropdown_link_color',
	'label'			 => esc_html__( 'Dropdown Link Color', 'ambery' ),
	'section'		 => 'ambery_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-default .sf-menu li li a', '.dtr-menu-default .sf-menu .sub-menu li.current-menu-item li a', '.dtr-menu-default .sf-menu li.current-menu-item li a', '.dtr-menu-default .sf-menu ul li.current-menu-item a', '.dtr-menu-default .sf-menu li li.current-menu-ancestor > a:hover' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Link - Hover / Active - Color
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_menu_dropdown_hover_color',
	'label'			 => esc_html__( 'Dropdown Link - Hover / Active - Color', 'ambery' ),
	'section'		 => 'ambery_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-default .sf-menu .sub-menu li.current-menu-item li a:hover', '.dtr-menu-default .sf-menu .sub-menu li.current-menu-item a', '.dtr-menu-default .sf-menu li li.current-menu-ancestor > a', '.dtr-menu-default .sf-menu ul li a:hover', '.dtr-menu-default .sf-menu ul li:hover > a', '.dtr-menu-default .sf-menu ul li:hover > a::after', '.dtr-menu-default .sf-menu > li li.menu-item-has-children a:hover' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu ends
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_light_nav_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_menu_typo',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #333; color: #fff;">' . esc_html__( 'Color Settings: Alt Menu', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_alt_menu_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_menu_typo',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'This is menu on page scroll.', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_alt_menu_link_color',
	'label'			 => esc_html__( 'Link color', 'ambery' ),
	'section'		 => 'ambery_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-menu-alt  .sf-menu li a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link hover
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_alt_menu_link_hover_color',
	'label'			 => esc_html__( 'Link Hover color', 'ambery' ),
	'section'		 => 'ambery_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-menu-alt .sf-menu li a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link active
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_alt_menu_link_active_color',
	'label'			 => esc_html__( 'Active Link color', 'ambery' ),
	'section'		 => 'ambery_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu li.current-menu-item a, .dtr-menu-alt .sf-menu li.current-menu-ancestor > a, .dtr-menu-alt .sf-menu .active' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Background Color
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_alt_menu_dropdown_bg_color',
	'label'			 => esc_html__( 'Dropdown Background Color', 'ambery' ),
	'section'		 => 'ambery_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu ul', '.dtr-menu-alt .sf-menu ul ul' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// dropdown link color
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_alt_menu_dropdown_link_color',
	'label'			 => esc_html__( 'Dropdown Link Color', 'ambery' ),
	'section'		 => 'ambery_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu li li a', '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item li a', '.dtr-menu-alt .sf-menu li.current-menu-item li a', '.dtr-menu-alt .sf-menu ul li.current-menu-item a', '.dtr-menu-alt .sf-menu li li.current-menu-ancestor > a:hover' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Link - Hover / Active - Color
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_alt_menu_dropdown_hover_color',
	'label'			 => esc_html__( 'Dropdown Link - Hover / Active - Color', 'ambery' ),
	'section'		 => 'ambery_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item li a:hover', '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item a', '.dtr-menu-alt .sf-menu li li.current-menu-ancestor > a', '.dtr-menu-alt .sf-menu ul li a:hover', '.dtr-menu-alt .sf-menu ul li:hover > a', '.dtr-menu-alt .sf-menu ul li:hover > a::after', '.dtr-menu-alt .sf-menu > li li.menu-item-has-children a:hover' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );