<?php
// primary accent
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_primary_accent_help_settings',
	'label'		 => '',
	'section'	 => 'ambery_section_accent',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #6138bd; color: #fff;">' . esc_html__( 'Set Accent Color', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_primary_accent_color',
	'label'			 => esc_html__( 'New Accent Color', 'ambery' ),
	'description'	 => esc_html__( 'Menu have indepent settings in its section', 'ambery' ),
	'section'		 => 'ambery_section_accent',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-video-button, .dtr-video-button:hover, #take-to-top:hover, .dtr-meta-category a:hover, .wp-block-tag-cloud a:hover, .dtr-post-tags a:hover, .dtr-reply a, .dtr-social-share-list li a:hover, .dtr-social-list a:hover, .dtr-search-modal-trigger:hover, .swiper-pagination-bullet:hover, .swiper-pagination-bullet.swiper-pagination-bullet-active, .swiper-button-next:hover, .swiper-button-prev:hover, .dtr-page-numbers a:hover, a.page-numbers:hover, span.page-numbers:hover, .page-numbers.current, .dtr-previous-link a:hover, .dtr-next-link a:hover, .post-page-numbers.current .dtr-page-number, .dtr-page-number:hover, .dtr-search-modal-trigger:hover, .dtr-social-circle .dtr-social-list a:hover, .dtr-social-square .dtr-social-list a:hover, #take-to-top, .dtr-btn, .dtr-form .dtr-btn, .dtr-form-btn, input[type="submit"], input[type="reset"], button[type="submit"], input[type="submit"], input[type="reset"], #submit, .dtr-btn-outlined:hover, .dtr-header-btn:hover, .dtr-servicebox-link, .dtr-servicebox-link:hover, .dtr-infobox-link, .dtr-infobox-link:hover' ),
			'property'	 => 'background-color',
		),
		array(
			'element'	 => array( 'a:hover, .dtr-filter-nav a:hover, .dtr-filter-nav .active, .dtr-sticky-label, .dtr-feature-circle .dtr-feature-icon, .dtr-feature-square .dtr-feature-icon, .dtr-accordion .elementor-accordion-title span, .dtr-testimonial-tagline, .widget_nav_menu li a:hover, .elementor-widget-wp-widget-nav_menu li a:hover, .elementor-widget-wp-widget-nav_menu .current-menu-item [aria-current="page"], .widget_nav_menu .current_page_item [aria-current="page"], .dtr-widget-icon, .dtr-social-circle .dtr-social-list a, .dtr-social-square .dtr-social-list a, .dtr-search-modal-trigger, .dtr-footer-section-wrap a:hover, .dtr-btn-outlined, .dtr-read-more, .wp-block-categories-list li:hover a, .wp-block-archives-list li:hover a, .dtr-accordion-number' ),
			'property'	 => 'color',
		),
		array(
			'element'	 => array( '.dtr-quote, blockquote, .wp-block-tag-cloud a:hover, .dtr-post-tags a:hover, .dtr-tabs .nav-link.active, .dtr-tabs .nav-link.active:hover, .swiper-button-next:hover, .swiper-button-prev:hover, .dtr-page-numbers a:hover, a.page-numbers:hover, .dtr-previous-link a:hover, .dtr-next-link a:hover, .dtr-page-number:hover, .page-numbers.dots:hover, .dtr-btn, .dtr-form .dtr-btn, .dtr-form-btn, input[type="submit"], input[type="reset"], button[type="submit"], input[type="submit"], input[type="reset"], button[type="submit"], #submit, .dtr-btn-outlined:hover, .dtr-header-btn:hover, .dtr-servicebox-link, .dtr-servicebox-link:hover, .dtr-infobox-link, .dtr-infobox-link:hover' ),
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// body
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_body_typo',
	'label'       => esc_html__( 'Body', 'ambery' ),
	'section'     => 'ambery_section_body_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'body',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_body_typo_color',
	'label'			 => esc_html__( 'Color', 'ambery' ),
	'section'		 => 'ambery_section_body_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( 'body' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// h1
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_h1_typo',
	'label'       => esc_html__( 'H1', 'ambery' ),
	'section'     => 'ambery_section_headings_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h1, .elementor-widget-heading h1.elementor-heading-title',
		),
	),
) );

// h2
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_h2_typo',
	'label'       => esc_html__( 'H2', 'ambery' ),
	'section'     => 'ambery_section_headings_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h2, .elementor-widget-heading h2.elementor-heading-title',
		),
	),
) );

// h3
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_h3_typo',
	'label'       => esc_html__( 'H3', 'ambery' ),
	'section'     => 'ambery_section_headings_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h3, .elementor-widget-heading h3.elementor-heading-title',
		),
	),
) );

// h4
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_h4_typo',
	'label'       => esc_html__( 'H4', 'ambery' ),
	'section'     => 'ambery_section_headings_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h4, .elementor-widget-heading h4.elementor-heading-title',
		),
	),
) );

// h5
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_h5_typo',
	'label'       => esc_html__( 'H5', 'ambery' ),
	'section'     => 'ambery_section_headings_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h5, .elementor-widget-heading h5.elementor-heading-title',
		),
	),
) );

// h6
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_h6_typo',
	'label'       => esc_html__( 'H6', 'ambery' ),
	'section'     => 'ambery_section_headings_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h6, .elementor-widget-heading h6.elementor-heading-title',
		),
	),
) );

// default link
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_default_link_color',
	'label'			 => esc_html__( 'Link Color', 'ambery' ),
	'section'		 => 'ambery_section_default_link',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( 'a' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// default link hover
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_default_link_hover_color',
	'label'			 => esc_html__( 'Link Hover Color', 'ambery' ),
	'section'		 => 'ambery_section_default_link',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( 'a:hover' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// logo font
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_header_logo_typo',
	'label'       => esc_html__( 'Text Logo : Default', 'ambery' ),
	'section'     => 'ambery_section_logo_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.logo-default',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_header_scroll_logo_typo',
	'label'       => esc_html__( 'Text Logo : Alt', 'ambery' ),
	'section'     => 'ambery_section_logo_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.logo-alt',
		),
	),
) );

// button
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_btn_settings',
	'section'	 => 'ambery_section_buttons_typo',
	'default'	 => '<div style="padding: 10px 20px;background-color: #333; color: #fff;">' . esc_html__( 'General Buttons', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_button_typo',
	'label'       => esc_html__( 'Buttons Typo', 'ambery' ),
	'section'     => 'ambery_section_buttons_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-btn, .dtr-btn-outlined, button, .wp-block-button__link',
		),
	),
) );

// contact form button
ambery_Kirki::add_field( 'ambery_config', array(
	'type'		 => 'custom',
	'settings'	 => 'ambery_contact_btn_settings',
	'section'	 => 'ambery_section_buttons_typo',
	'default'	 => '<div style="padding: 10px 20px;background-color: #333; color: #fff;">' . esc_html__( 'Form Buttons', 'ambery' ) . '</div>',
	'priority'	 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_contact_button_typo',
	'label'       => esc_html__( 'Buttons Typo', 'ambery' ),
	'section'     => 'ambery_section_buttons_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-form-btn, .dtr-form .dtr-btn, input[type="submit"], input[type="reset"], button[type="submit"], #submit',
		),
	),
) );

// border_width
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'number',
	'settings'		 => 'ambery_contact_button_border_width',
	'label'			 => esc_html__( 'Border Width', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'default'     	 => '0',

	'transport'   => 'auto',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn, .dtr-form .dtr-btn, input[type="submit"], input[type="reset"], button[type="submit"],#submit',
			'property'	 => 'border-width',
			'units'      => 'px',
		)
	),
	'choices'     => array(
		'min'  => 0,
		'max'  => 5,
		'step' => 1,
	),
	'priority'		 => 10,
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_contact_btn_bg_color',
	'label'			 => esc_html__( 'Background Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn, .dtr-form .dtr-btn, input[type="submit"], input[type="reset"], button[type="submit"], #submit',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_contact_btn_border_color',
	'label'			 => esc_html__( 'Border Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn, .dtr-form .dtr-btn, input[type="submit"], input[type="reset"], button[type="submit"], #submit',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_contact_btn_color',
	'label'			 => esc_html__( 'Text Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn, .dtr-form .dtr-btn, input[type="submit"], input[type="reset"], button[type="submit"], #submit',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );
// buttons hover
ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_contact_btn_hover_bg_color',
	'label'			 => esc_html__( 'Hover - Background Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn:hover, .dtr-form .dtr-btn:hover, .dtr-form button:hover, input[type="submit"]:hover, input[type="reset"]:hover, button[type="submit"]:hover, #submit:hover',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_contact_btn_hover_border_color',
	'label'			 => esc_html__( 'Hover - Border Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn:hover, .dtr-form .dtr-btn:hover, .dtr-form button:hover, input[type="submit"]:hover, input[type="reset"]:hover, button[type="submit"]:hover, #submit:hover',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_contact_btn_hover_color',
	'label'			 => esc_html__( 'Hover - Text Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn:hover, .dtr-form .dtr-btn:hover, .dtr-form button:hover, input[type="submit"]:hover, input[type="reset"]:hover, button[type="submit"]:hover, #submit:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// read more
ambery_Kirki::add_field( 'ambery_config', array(
	'type'        => 'typography',
	'settings'    => 'ambery_read_more_typo',
	'label'       => esc_html__( 'Blog Read More', 'ambery' ),
	'section'     => 'ambery_section_buttons_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'color'      	 => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-read-more',
		),
	),
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_readmore_icon_color',
	'label'			 => esc_html__( 'Icon Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more::after',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_readmore_bg_color',
	'label'			 => esc_html__( 'Background Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_readmore_border_color',
	'label'			 => esc_html__( 'Border Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_readmore_hover_color',
	'label'			 => esc_html__( 'Hover: Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_readmore_hover_icon_color',
	'label'			 => esc_html__( 'Hover: Icon Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more:hover::after',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_readmore_hover_bg_color',
	'label'			 => esc_html__( 'Hover: Background Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more:hover',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

ambery_Kirki::add_field( 'ambery_config', array(
	'type'			 => 'color',
	'settings'		 => 'ambery_readmore_hover_border_color',
	'label'			 => esc_html__( 'Hover: Border Color', 'ambery' ),
	'section'		 => 'ambery_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more:hover',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );