<?php
/**
 * Theme helper functions
 *
 * @package AmberyTheme
 * @version 1.0.0
 */

/**
 * Flush rewrite rules for custom post types on theme activation
 */
add_action( 'after_switch_theme', 'ambery_rewrite_rules_flush' );
function ambery_rewrite_rules_flush() {
     flush_rewrite_rules();
}

/**
 * Wrap current page in span for wp_link_pages
 */
if ( ! function_exists( 'ambery_wp_link_pages_wrap' ) ) :
	function ambery_wp_link_pages_wrap( $link ) {
		if ( ctype_digit( $link ) ) {
			return '<span class="page-link-current">' . $link . '</span>';
		}
		return $link;
	}
	add_filter( 'wp_link_pages_link', 'ambery_wp_link_pages_wrap' );
endif;

// core plugin update notice
if ( ! function_exists( 'ambery_core_update_admin_notice' ) ) {
	function ambery_core_update_admin_notice() {
		if ( is_admin() ) {
			if( !function_exists('get_plugin_data') ){
				require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
			}
			if ( !class_exists( 'dtr_ambery_core' ) ) return;
			$ambery_core_plugin_dir = WP_PLUGIN_DIR . '/dtr-ambery-core/dtr-ambery-core.php';
			$ambery_core_plugin_data = get_plugin_data($ambery_core_plugin_dir);
			$ambery_core_plugin_version = $ambery_core_plugin_data['Version'];
			if ( $ambery_core_plugin_version < AMBERY_CORE_PLUGIN_CURRENT_VERSION ) { 
				echo '<div class="notice notice-error"><p><strong>Important</strong> : Update Ambery Core Plugin. Go To : Appearance / Install Plugins</p></div>'; 
			}
		}
	}
}
add_action( 'admin_notices', 'ambery_core_update_admin_notice' );

// elementor addon plugin update notice
if ( ! function_exists( 'ambery_elementor_addon_update_admin_notice' ) ) {
	function ambery_elementor_addon_update_admin_notice() {
		if ( is_admin() ) {
			if( !function_exists('get_plugin_data') ){
				require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
			}
			if ( !class_exists( '\AmberyAddons\Ambery_Elementor_Addons' ) ) return;
			$ambery_elementor_addon_plugin_dir = WP_PLUGIN_DIR . '/dtr-ambery-elementor-addon/dtr-ambery-elementor.php';
			$ambery_elementor_addon_plugin_data = get_plugin_data($ambery_elementor_addon_plugin_dir);
			$ambery_elementor_addon_plugin_version = $ambery_elementor_addon_plugin_data['Version'];
			if ( $ambery_elementor_addon_plugin_version < AMBERY_ELEMENTOR_ADDON_PLUGIN_CURRENT_VERSION ) { 
				echo '<div class="notice notice-error"><p><strong>Important</strong> : Update Ambery Elementor Addons Plugin. Go To : Appearance / Install Plugins</p></div>'; 
			}
		}
	}
}
add_action( 'admin_notices', 'ambery_elementor_addon_update_admin_notice' );