<?php
/**
 * Layouts
 */
// Layout Classes
if ( ! function_exists( 'ambery_get_layout_class' ) ) {
	function ambery_get_layout_class() {
		
		// Vars
		$class = 'dtr-fullwidth';

		// Single Post Layout
		if ( is_single() ) {
			$ambery_single_post_layout = get_theme_mod( 'ambery_single_post_layout', 'dtr-right-sidebar' );
			$page_setting = get_post_meta( get_the_ID(), '_ambery_page_layout_meta', true );
			if ( $page_setting !== '' ) {
				$class = $page_setting;
			} else {
				$class = $ambery_single_post_layout;
			}		
		}
		
		// Blog / Archive Layout
		$ambery_blog_layout = get_theme_mod( 'ambery_blog_layout', 'dtr-right-sidebar' );
		if ( is_archive() || is_author() || is_home() ) {
			$class = $ambery_blog_layout;
		}
		
		// Page Layout
		if ( is_page() ) {
			if ( class_exists( 'kirki' )  ){
				$ambery_page_layout = get_theme_mod( 'ambery_page_layout', 'dtr-fullwidth' );
			} else { 
				$ambery_page_layout = 'dtr-right-sidebar';
			}
			$page_setting = get_post_meta( get_the_ID(), '_ambery_page_layout_meta', true );
			if ( $page_setting !== '' ) {
				$class = $page_setting;
			} else {
				$class = $ambery_page_layout;
			}		
		}

		return $class;
	} 
}