<?php
/**
 * Registers widget areas.
 *
 * @package AmberyTheme
 * @version 1.0.0
 */
if ( ! function_exists('ambery_widgets_init') ) {
	function ambery_widgets_init()  {
		
		// Blog Widgets
		register_sidebar( array(
			'name'          => esc_html__( 'Blog Sidebar', 'ambery' ),
			'id'            => 'widgets-blog',
			'description'   => esc_html__( 'This area will be shown as a post sidebar. Widgets will be stacked in this column.', 'ambery' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Header Widget Area - One
		register_sidebar( array(
			'name'          => esc_html__( 'Header Widget Area-One', 'ambery' ),
			'id'            => 'widget-header-one',
			'description'   => esc_html__( 'Widgets in this column will appear for : All Header Variations in Main header row right side.', 'ambery' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Header Widget Widget - Two
		register_sidebar( array(
			'name'          => esc_html__( 'Header Widget Area-Two', 'ambery' ),
			'id'            => 'widget-header-two',
			'description'   => esc_html__( 'Widgets in this column will appear in : For Header Variations 1 / 2 in Topbar left side, and For Header Variation 4 in main header right side.', 'ambery' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Header Widget Widget - Three
		register_sidebar( array(
			'name'          => esc_html__( 'Header Widget Area-Three', 'ambery' ),
			'id'            => 'widget-header-three',
			'description'   => esc_html__( 'Widgets in this column will appear in : For Header Variations 1 / 2 in Topbar right side.', 'ambery' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
	
		// Footer top column 1
		register_sidebar( array(
			'name'          => esc_html__( 'Footer First Row - Column 1', 'ambery' ),
			'id'            => 'footer-top-column-1',
			'description'   => esc_html__( 'Widgets in this column will appear in first column of footer top row.', 'ambery' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Footer top column 2
		if ( get_theme_mod( 'ambery_footer_top_columns', '4' ) != '1' ) { 
			register_sidebar( array(
				'name'          => esc_html__( 'Footer First Row - Column 2', 'ambery' ),
				'id'            => 'footer-top-column-2',
				'description'   => esc_html__( 'Widgets in this column will appear in second column of footer top row.', 'ambery' ),
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<h4 class="widget-title">',
				'after_title'   => '</h4>',
			) );
		}
		
		// Footer top column 3
		if ( get_theme_mod( 'ambery_footer_top_columns', '4' ) == '3' || get_theme_mod( 'ambery_footer_top_columns', '4' ) == '4' ) { 
			register_sidebar( array(
				'name'          => esc_html__( 'Footer First Row - Column 3', 'ambery' ),
				'id'            => 'footer-top-column-3',
				'description'   => esc_html__( 'Widgets in this column will appear in third column of footer top row.', 'ambery' ),
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<h4 class="widget-title">',
				'after_title'   => '</h4>',
			) );
		}

		// Footer column 1
		register_sidebar( array(
			'name'          => esc_html__( 'Footer Second Row - Column 1', 'ambery' ),
			'id'            => 'footer-column-1',
			'description'   => esc_html__( 'Widgets in this column will appear in first footer column.', 'ambery' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Footer column 2
		if ( get_theme_mod( 'ambery_footer_columns', '4' ) != '1' ) { 
			register_sidebar( array(
				'name'          => esc_html__( 'Footer Second Row - Column 2', 'ambery' ),
				'id'            => 'footer-column-2',
				'description'   => esc_html__( 'Widgets in this column will appear in second footer column.', 'ambery' ),
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<h4 class="widget-title">',
				'after_title'   => '</h4>',
			) );
		}
		
		// Footer column 3
		if ( get_theme_mod( 'ambery_footer_columns', '4' ) != '1' && get_theme_mod( 'ambery_footer_columns', '4' ) != '2' ) { 
			register_sidebar( array(
				'name'          => esc_html__( 'Footer Second Row - Column 3', 'ambery' ),
				'id'            => 'footer-column-3',
				'description'   => esc_html__( 'Widgets in this column will appear in third footer column.', 'ambery' ),
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<h4 class="widget-title">',
				'after_title'   => '</h4>',
			) );
		} 
		
		// Footer column 4
		if ( get_theme_mod( 'ambery_footer_columns', '4' ) == '4' || get_theme_mod( 'ambery_footer_columns', '4' ) == '8' ) { 
			register_sidebar( array(
				'name'          => esc_html__( 'Footer Second Row - Column 4', 'ambery' ),
				'id'            => 'footer-column-4',
				'description'   => esc_html__( 'Widgets in this column will appear in fourth footer column.', 'ambery' ),
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<h4 class="widget-title">',
				'after_title'   => '</h4>',
			) );
		}

		// Copyright column - One
		register_sidebar( array(
			'name'          => esc_html__( 'Copyright Column 1', 'ambery' ),
			'id'            => 'copyright-column-1',
			'description'   => esc_html__( 'Widgets in this column will appear in copyright section below copyright menu.', 'ambery' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Copyright column - Two
		if ( get_theme_mod( 'ambery_copyright_columns', '2' ) != '1' ) { 
			register_sidebar( array(
				'name'          => esc_html__( 'Copyright Column 2', 'ambery' ),
				'id'            => 'copyright-column-2',
				'description'   => esc_html__( 'Widgets in this column will appear in copyright section', 'ambery' ),
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<h4 class="widget-title">',
				'after_title'   => '</h4>',
			) );
		}
		
		// Page Widgets
		register_sidebar( array(
			'name'          => esc_html__( 'Page Sidebar', 'ambery' ),
			'id'            => 'widgets-page',
			'description'   => esc_html__( 'This area will be shown as a page sidebar. Widgets will be stacked in this column.', 'ambery' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
	}
// Hook into the 'widgets_init' action
add_action( 'widgets_init', 'ambery_widgets_init' );
}