<?php
/**
 * The template for displaying portfolio details.
 */
get_header(); 
$title_align = get_theme_mod( 'ambery_page_title_section_align', 'text-left' );
?>
<?php if ( 'show' == get_theme_mod( 'ambery_portfolio_single_header', 'show' ) ) { ?>
<div class="dtr-page-title-main <?php echo esc_attr( $title_align ); ?>">
    <div class="dtr-page-title-wrapper">
        <div class="dtr-page-title-overlay"></div>
        <div class="container">
            <?php if ( 'show' == get_theme_mod( 'ambery_portfolio_single_heading', 'show' ) ) { ?>
            <h1 class="dtr-page-title" <?php ambery_schema_markup( 'headline' ); ?>>
                <?php the_title() ?>
            </h1>
            <?php } ?>
            <?php if ( function_exists('bcn_display_list') && 'show' == get_theme_mod( 'ambery_portfolio_single_breadcrumb', 'show' ) ) { ?>
            <div class="dtr-breadcrumb-wrapper">
                <?php get_template_part( '/template-parts/header/breadcrumb' ); ?>
            </div>
            <?php } ?>
        </div>
    </div>
</div>
<?php } ?>
<!-- #page header -->
<div id="dtr-main-wrapper" class="container clearfix dtr-fullwidth">
    <main id="dtr-primary-section" class="dtr-content-area" <?php ambery_schema_markup( 'main' ); ?>>
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <?php if ( 'show' == get_theme_mod( 'ambery_portfolio_single_image', 'show' ) ) { ?>
            <div class="dtr-portfolio-thumb">
                <?php the_post_thumbnail(); ?>
            </div>
            <?php } ?>
            <div class="entry-content">
                <?php the_content(); ?>
            </div>
        </article>
        <?php // post nav
			if ( 'title_nav' == get_theme_mod( 'ambery_single_portfolio_pagination_style', 'nextprev_nav' ) ) {
				ambery_title_post_nav();
			} else {
				ambery_portfolio_nav(); 
			} ?>
        <?php endwhile; ?>
        <?php endif; ?>
    </main>
</div>
<!-- #dtr-main-wrapper -->
<?php get_footer();