<?php
/**
 * The template file for single post
 *
 * @package AmberyTheme
 * @version 1.0.0
 */
get_header(); 
if( is_active_sidebar('widgets-blog') ) {
	$ambery_default_layout_class = ambery_get_layout_class(); 
} else { 
 	$ambery_default_layout_class = 'dtr-fullwidth';  
} 
get_template_part( '/template-parts/page-title/page-header-single' ); ?>
<div id="dtr-main-wrapper" class="container clearfix <?php echo esc_attr( $ambery_default_layout_class ) ?>">
    <main id="dtr-primary-section" class="dtr-content-area" <?php ambery_schema_markup( 'main' ); ?>>
        <?php 
		while ( have_posts() ) : the_post(); ?>
        <div class="dtr-primary-section-content">
            <?php // single post content
			get_template_part( '/template-parts/post/single-layout', get_post_format() ); ?>
        </div>
        <div class="dtr-single-post-btm">
            <?php 
			// author bio
			if ( '' != get_the_author_meta( 'description' ) && is_multi_author() ) {
				get_template_part( '/template-parts/post/author-bio' ); 
			} 
			// post nav
			if ( 'title_nav' == get_theme_mod( 'ambery_single_pagination_style', 'nextprev_nav' ) ) {
				ambery_title_post_nav();
			} else {
				ambery_post_nav(); 
			}
			// comments
			if ( comments_open() || get_comments_number() ) {
				comments_template(); 
			} 
		endwhile; 
		?>
        </div>
    </main>
    <!-- #dtr-primary-section -->
    <?php if( is_active_sidebar('widgets-blog') ) {
	 get_sidebar(); } ?>
</div>
<!-- #dtr-main-wrapper -->
<?php // related posts
if (  'show' == get_theme_mod( 'ambery_relatedposts_enable', 'hide' ) ) { 
	get_template_part( '/template-parts/post/relatedposts' );
} 
get_footer();