<?php
/**
 * Template for displaying header v2
 *
 * @package AmberyTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}  
?>
<?php if ( 'show' == get_theme_mod( 'ambery_topbar_enable', 'hide' ) ) { ?>
<?php if ( is_active_sidebar( 'widget-header-two' ) && 'show' == get_theme_mod( 'ambery_header_widget_area_two_enable', 'hide' ) || is_active_sidebar( 'widget-header-three' ) && 'show' == get_theme_mod( 'ambery_header_widget_area_three_enable', 'hide' ) ) { ?>
<div id="dtr-topbar" >
    <div class="d-flex align-items-center justify-content-between">
        <?php if ( is_active_sidebar( 'widget-header-two' ) && 'show' == get_theme_mod( 'ambery_header_widget_area_two_enable', 'hide' ) ) { ?>
        <div class="dtr-topbar-left dtr-header-widget-two d-flex align-items-center">
            <?php dynamic_sidebar( 'widget-header-two' ); ?>
        </div>
        <?php } ?>
        <?php if ( is_active_sidebar( 'widget-header-three' ) && 'show' == get_theme_mod( 'ambery_header_widget_area_three_enable', 'hide' ) ) { ?>
        <div class="dtr-topbar-right dtr-header-widget-three d-flex align-items-center ms-auto">
            <?php dynamic_sidebar( 'widget-header-three' ); ?>
        </div>
        <?php } ?>
    </div>
</div>
<?php } ?>
<?php } ?>
<div id="dtr-header-global">
    <div class="dtr-header-flex">
        <div class="dtr-header-left">
            <?php get_template_part( '/template-parts/header/logo' ); ?>
            <?php get_template_part( '/template-parts/header/logo-alt' ); ?>
        </div>
        <?php if ( 'show' == get_theme_mod( 'ambery_header_menubar_enable', 'show' ) ) { ?>
        <div class="main-navigation" <?php ambery_schema_markup( 'site_navigation' ); ?>>
            <?php get_template_part( '/template-parts/header/main-menu' ); ?>
        </div>
        <?php } ?>
        <div class="dtr-header-right">
            <?php if ( is_active_sidebar( 'widget-header-one' ) && 'show' == get_theme_mod( 'ambery_header_widget_area_one_enable', 'hide' ) ) { ?>
            <div class="dtr-header-widget-one dtr-header-widget-wrapper">
                <?php dynamic_sidebar( 'widget-header-one' ); ?>
            </div>
            <?php } ?>
            <?php if ( 'show' == get_theme_mod( 'ambery_header_search_enable', 'hide' ) ) { ?>
            <a href="#dtr-search-modal" role="button" class="dtr-search-modal-trigger" aria-label="<?php esc_attr_e( 'Search Modal Button', 'ambery' ); ?>"></a>
            <?php } ?>
            <?php if ( 'show' == get_theme_mod( 'ambery_header_btn_enable', 'hide' ) ) { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'ambery_header_btn_link', '#' ) ); ?>" class="dtr-header-btn dtr-btn-outlined"><?php echo esc_html( get_theme_mod( 'ambery_header_btn_text', 'Get Started' ) ); ?></a>
            <?php } ?>
        </div>
    </div>
</div>
<?php get_template_part( '/template-parts/header/responsive-header' ); ?>
<?php if ( 'show' == get_theme_mod( 'ambery_header_search_enable', 'hide' ) ) { 
	get_template_part( '/template-parts/header/search-modal' ); 
}