<?php
/**
 * Template for displaying header v4
 *
 * @package AmberyTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}  
?>
<div id="dtr-header-global">
    <div class="d-flex align-items-center justify-content-between">
        <div class="dtr-header-left dtr-header-widget-wrapper dtr-header-widget-two">
            <?php if ( is_active_sidebar( 'widget-header-two' ) && 'show' == get_theme_mod( 'ambery_header_widget_area_two_enable', 'hide' ) ) { ?>
            <?php dynamic_sidebar( 'widget-header-two' ); ?>
            <?php } ?>
        </div>
        <div class="dtr-header-center">
            <?php get_template_part( '/template-parts/header/logo' ); ?>
            <?php get_template_part( '/template-parts/header/logo-alt' ); ?>
        </div>
        <div class="dtr-header-right">
        	<div class="dtr-header-widget-wrapper dtr-header-widget-one">
            <?php if ( is_active_sidebar( 'widget-header-one' ) && 'show' == get_theme_mod( 'ambery_header_widget_area_one_enable', 'hide' ) ) { ?>
            <?php dynamic_sidebar( 'widget-header-one' ); ?>
            <?php } ?>
            </div>
            <?php if ( 'show' == get_theme_mod( 'ambery_header_search_enable', 'hide' ) ) { ?>
            <a href="#dtr-search-modal" role="button" class="dtr-search-modal-trigger" aria-label="<?php esc_attr_e( 'Search Modal Button', 'ambery' ); ?>"></a>
            <?php } ?>
        </div>
    </div>
    <?php if ( 'show' == get_theme_mod( 'ambery_header_menubar_enable', 'show' ) ) { ?>
    <div class="main-navigation dtr-menu-default" <?php ambery_schema_markup( 'site_navigation' ); ?>>
        <?php get_template_part( '/template-parts/header/main-menu' ); ?>
    </div>
    <?php } ?>
</div>
<?php get_template_part( '/template-parts/header/responsive-header' ); ?>
<?php if ( 'show' == get_theme_mod( 'ambery_header_search_enable', 'hide' ) ) { 
	get_template_part( '/template-parts/header/search-modal' ); 
}