<?php
/**
 * The Title for page
 *
 * @package AmberyTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
$title_align = get_theme_mod( 'ambery_page_title_section_align', 'text-left' );
if ( ! is_home() && ! is_front_page() && 'show' == get_theme_mod( 'ambery_enable_page_title', 'show' ) ) { ?>
<div class="dtr-page-title-main <?php echo esc_attr( $title_align ); ?>">
    <div class="dtr-page-title-wrapper">
        <div class="dtr-page-title-overlay"></div>
        <div class="container">
            <?php if ( 'show' == get_theme_mod( 'ambery_enable_page_heading', 'show' ) ) { ?>
            <h1 class="dtr-page-title" <?php ambery_schema_markup( 'headline' ); ?>>
                <?php the_title() ?>
            </h1>
            <?php } ?>
            <?php if ( function_exists('bcn_display_list') && 'show' == get_theme_mod( 'ambery_enable_page_breadcrumb', 'show' ) ) { ?>
            <div class="dtr-breadcrumb-wrapper">
                <?php get_template_part( '/template-parts/header/breadcrumb' ); ?>
            </div>
            <?php } ?>
        </div>
    </div>
</div>
<?php }