<?php
/**
 * The Title for single post 
 *
 * @package AmberyTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
$single_heading	=  get_theme_mod( 'ambery_blog_title', esc_html__( 'Blog','ambery' ) ); 
$title_align = get_theme_mod( 'ambery_page_title_section_align', 'text-left' );
if ( 'show' == get_theme_mod( 'ambery_single_title_enable', 'show' ) ) { ?>
<div class="dtr-page-title-main <?php echo esc_attr( $title_align ); ?>">
    <div class="dtr-page-title-wrapper">
        <div class="dtr-page-title-overlay"></div>
        <div class="container">
            <?php if ( has_category() && 'show' == get_theme_mod( 'ambery_single_category_enable', 'show' ) ) { ?>
            <div class="dtr-single-pre-meta">
                <div class="dtr-meta-item dtr-meta-category">
                    <?php the_category( ' ', get_the_ID() ); ?>
                </div>
            </div>
            <?php } ?>
            <?php if ( 'show' == get_theme_mod( 'ambery_single_heading_enable', 'show' ) ) { ?>
            <div class="dtr-single-post-title">
                <h1 class="dtr-page-title" <?php ambery_schema_markup( 'headline' ); ?>>
                    <?php the_title() ?>
                </h1>
            </div>
            <?php } ?>
            <?php while ( have_posts() ) : the_post();
			get_template_part( '/template-parts/post/meta/blog-single-meta' );
            endwhile; 
			rewind_posts(); ?>
            <?php if ( function_exists('bcn_display_list') && 'show' == get_theme_mod( 'ambery_single_breadcrumb_enable', 'show' ) ) { ?>
            <div class="dtr-breadcrumb-wrapper">
                <?php get_template_part( '/template-parts/header/breadcrumb' ); ?>
            </div>
            <?php } ?>
        </div>
    </div>
</div>
<?php }