<?php
/**
 * Template for displaying content - archive
 *
 * @package AmberyTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
// thumb
if ( ! has_post_thumbnail() ) {
	$no_thumb = 'dtr-has-no-thumb';	
} else { 
	$no_thumb = ''; 
}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="dtr-post-content-wrapper clearfix <?php echo esc_attr ( $no_thumb ) ?>">
        <?php if ( has_post_thumbnail() ) { ?>
            <?php if ( ! post_password_required() ) { 
				get_template_part( '/template-parts/post/media/entry-thumb' ); 
			} ?>
        <?php  } ?>
        <div class="dtr-post-content-inner">
            <div class="dtr-entry-content clearfix">
                <?php 
				get_template_part( '/template-parts/post/meta/blog-pre-meta' );
				get_template_part( '/template-parts/post/title/entry-title' );
				get_template_part( '/template-parts/post/meta/blog-meta' );
				
                get_template_part( '/template-parts/post/content/entry-content' );  
                if ( 'show' == get_theme_mod( 'ambery_read_more_enable', 'show' ) ) { ambery_read_more(); } ?>
            </div>
        </div>
    </div>
    <?php if( !( $wp_query->post_count == $wp_query->current_post+1 ) ) : ?>
    <span class="dtr-post-footer clearfix"></span>
    <?php endif; ?>
</article>