<?php
/**
 * Template for displaying single post layout - standard post format
 *
 * @package AmberyTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
if ( ! has_post_thumbnail() ) {
	$no_thumb = 'dtr-has-no-thumb';	
} else { 
	$no_thumb = ''; 
}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php ambery_schema_markup( 'blog_post' ); ?> >
    <div class="dtr-post-content-wrapper <?php echo esc_attr ( $no_thumb ) ?>">
        <?php if ( ! post_password_required() ) : 
			if ( has_post_thumbnail() ) {
				get_template_part( '/template-parts/post/media/single-thumb' ); 
			} 	endif;  ?>
        <div class="dtr-post-content-inner">
            <?php get_template_part( '/template-parts/post/content/single-content' ); ?>
            <?php if ( class_exists( 'dtr_ambery_core' ) && 'show' == get_theme_mod( 'ambery_social_share_enable', 'show' ) || has_tag() && 'show' == get_theme_mod( 'ambery_single_tags_enable', 'show' ) ) { ?>
            <div class="dtr-footer-meta">
                <?php if ( has_tag() && 'show' == get_theme_mod( 'ambery_single_tags_enable', 'show' ) ) { ?>
                <div class="dtr-post-tags"> 
                <?php the_tags( '<div class="dtr-post-tags-list clearfix">','','</div>' ); ?>
                </div>
                <?php } ?>
                <?php if ( class_exists( 'dtr_ambery_core' ) && 'show' == get_theme_mod( 'ambery_social_share_enable', 'show' ) ) { ambery_social_share_hook(); } ?>
            </div>
            <?php } ?>
        </div>
    </div>
</article>