<?php
// custom post types
/**
 * Registers portfolio post type
 * @since  1.0.0
 */
add_action( 'init', 'ambery_register_portfolio_posttype' );
function ambery_register_portfolio_posttype() {
	
	$portfolio_slug = '';
	$portfolio_slug	=	get_theme_mod('ambery_portfolio_slug_text', esc_html__('portfolio','ambery')); 

	$labels = array(
		'name'               	=> _x( 'Portfolio', 'post type general name', 'ambery' ),
		'singular_name'      	=> _x( 'Portfolio Item', 'post type singular name', 'ambery' ),
		'all_items'          	=> __( 'Portfolio Items', 'ambery' ),
		'add_new'            	=> __( 'Add New', 'ambery' ),
		'add_new_item'       	=> __( 'Add New Portfolio Item', 'ambery' ),
		'edit_item'          	=> __( 'Edit Portfolio Item', 'ambery' ),
		'new_item'           	=> __( 'New Portfolio Item', 'ambery' ),
		'view_item'          	=> __( 'View Portfolio Item', 'ambery' ),
		'search_items'       	=> __( 'Search Portfolio Items', 'ambery' ),
		'not_found'          	=> __( 'No Portfolio Items found', 'ambery' ),
		'not_found_in_trash'	=> __( 'No Portfolio Items found in Trash', 'ambery' ),
    );
	$args = array(
		'labels'          	=> $labels,
	    'public'          	=> true,  
        'show_ui'         	=> true,  
        'capability_type'	=> 'post',  
        'hierarchical'    	=> false,  
        'can_export'      	=> true,
        'has_archive'     	=> false,
		'menu_icon'       	=> 'dashicons-portfolio',
        'rewrite'         	=> array( 'slug'	=> $portfolio_slug ),
        'supports'        	=> array( 'title', 'editor', 'thumbnail' ),
	);
	register_post_type( 'dtr_portfolio', $args );
}

/**
 * Register custom taxonomy for portfolio items.
 * @since  1.0.0
 */
add_action( 'init', 'ambery_register_portfolio_taxonomy' );
function ambery_register_portfolio_taxonomy() {
    $labels = array(
        'name'              => _x( 'Portfolio Categories', 'taxonomy general name', 'ambery' ),
        'singular_name'     => _x( 'Portfolio Category', 'taxonomy singular name', 'ambery' ),
        'search_items'      => __( 'Search Portfolio Categories', 'ambery' ),
        'all_items'         => __( 'All Portfolio Categories', 'ambery' ),
		'edit_item'         => __( 'Edit Portfolio Category', 'ambery' ),
		'view_item'         => __( 'View Portfolio Category', 'ambery' ),
        'parent_item'       => __( 'Parent Portfolio Category', 'ambery' ),
        'parent_item_colon'	=> __( 'Parent Portfolio Category:', 'ambery' ),
        'update_item'       => __( 'Update Portfolio Category', 'ambery' ),
        'add_new_item'      => __( 'Add New Portfolio Category', 'ambery' ),
        'new_item_name'     => __( 'New Portfolio Category Name', 'ambery' ),
    );
    $args = array(
        'hierarchical'	=> true,
        'labels'       	=> $labels,
        'show_ui'      	=> true,
        'rewrite'      	=> true,
    );
    register_taxonomy( 'dtr_portfoliotags', array( 'dtr_portfolio' ), $args );
}

/**
 * Registers testimonial post type
 * @since  1.0.0
 */
add_action( 'init', 'ambery_register_testimonial_posttype' );
function ambery_register_testimonial_posttype() {

	$testimonial_slug = '';
	$testimonial_slug	=	get_theme_mod('ambery_testimonial_slug_text', esc_html__('testimonial','ambery')); 

	$labels = array(
		'name'               => _x( 'Testimonial', 'post type general name', 'ambery' ),
		'singular_name'      => _x( 'Testimonial', 'post type singular name', 'ambery' ),
		'all_items'          => __( 'Testimonials', 'ambery' ),
		'add_new'            => __( 'Add New', 'ambery' ),
		'add_new_item'       => __( 'Add New Testimonial', 'ambery' ),
		'edit_item'          => __( 'Edit Testimonial', 'ambery' ),
		'new_item'           => __( 'New Testimonial', 'ambery' ),
		'view_item'          => __( 'View Testimonial', 'ambery' ),
		'search_items'       => __( 'Search Testimonials', 'ambery' ),
		'not_found'          => __( 'No Testimonials found', 'ambery' ),
		'not_found_in_trash' => __( 'No Testimonials found in Trash', 'ambery' ),
    );
	$args = array(
		'labels'          => $labels,
	    'public'          => true,  
        'show_ui'         => true,  
        'capability_type' => 'post',  
        'hierarchical'    => false,  
        'has_archive'     => false,
		'menu_icon'       => 'dashicons-star-filled',
        'rewrite'         => array( 'slug'	=> $testimonial_slug ),
        'supports'        => array( 'title', 'editor', 'thumbnail' ),
	);
	register_post_type( 'dtr_testimonial', $args );
}