<?php 
/**
 * Post Social share 
 */
// Post Social share hook
function ambery_social_share_hook() {
	do_action( 'ambery_social_share_hook' );
}
add_action( 'ambery_social_share_hook', 'ambery_default_social_share_hook' );

if( ! function_exists( 'ambery_default_social_share_hook' ) ) {
	function ambery_default_social_share_hook() {
		ambery_social_share();
	}
}
// Social Share
if ( ! function_exists('ambery_social_share') ) {
	function ambery_social_share() {
	
	// return if share disabled
	if ( 'hide' == get_theme_mod( 'ambery_social_share_enable', 'show' ) ) {
		return;
	}
	// vars
	$twitter_handle = $style = '';
	$post_id 		= get_the_ID();
	$url      		= get_permalink( $post_id );
	$title    		= get_the_title();
	$twitter_handle	= get_theme_mod( 'ambery_twitter_handle_text', '' );
	$share_title	= get_theme_mod( 'ambery_share_title_text', 'Share:' );
	$excerpt 		= get_the_excerpt();
	?>
<div class="dtr-social-share">
	<p class="dtr-social-share-title"><?php echo esc_html( $share_title ) ?></p>
    <ul class="dtr-social-share-list clearfix">
        <?php if ( 'show' == get_theme_mod( 'ambery_twitter_share_enable', 'show' ) ) { ?>
        <li><a href="https://twitter.com/share?text=<?php echo rawurlencode( $title ); ?>&amp;url=<?php echo rawurlencode( esc_url( $url ) ); ?><?php if ( $twitter_handle ) echo '&amp;via='. esc_attr( $twitter_handle ); ?>" title="<?php esc_html_e( 'Twitter', 'ambery' ); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=500,width=500');return false;" class="dtr-twitter-share"></a></li>
        <?php } ?>
        <?php if ( 'show' == get_theme_mod( 'ambery_facebook_share_enable', 'show' ) ) { ?>
        <li><a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo rawurlencode( esc_url( $url ) ); ?>" title="<?php esc_html_e( 'Facebook', 'ambery' ); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=500,width=500');return false;" class="dtr-facebook-share"></a></li>
        <?php } ?>
        <?php if ( 'show' == get_theme_mod( 'ambery_pinterest_share_enable', 'show' ) ) { ?>
        <li><a href="https://www.pinterest.com/pin/create/button/?url=<?php echo rawurlencode( esc_url( $url ) ); ?>&amp;media=<?php echo wp_get_attachment_url( get_post_thumbnail_id( $post_id ) ); ?>&amp;description=<?php echo rawurlencode( $title ); ?>" title="<?php esc_html_e( 'Pinterest', 'ambery' ); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=500,width=500');return false;" class="dtr-pinterest-share"></a></li>
        <?php } ?>
        <?php if ( 'show' == get_theme_mod( 'ambery_googleplus_share_enable', 'hide' ) ) { ?>
        <li><a href="https://plus.google.com/share?url=<?php echo rawurlencode( esc_url( $url ) ); ?>" title="<?php esc_html_e( 'Google+', 'ambery' ); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=500,width=500');return false;" class="dtr-google-share"></a></li>
        <?php } ?>
        <?php if ( 'show' == get_theme_mod( 'ambery_linkedin_share_enable', 'hide' ) ) { ?>
        <li><a href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo rawurlencode( esc_url( $url ) ); ?>&amp;title=<?php echo rawurlencode( $title ); ?>&amp;summary=<?php echo rawurlencode( $excerpt ); ?>&amp;source=<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php esc_html_e( 'LinkedIn', 'ambery' ); ?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=500,width=500');return false;" class="dtr-linkedin-share"></a></li>
        <?php } ?>
    </ul>
</div>
<?php	}
}