<?php
/*------------------------------------------------------------
 * Table of Contents
 * Testimonial Carousel
 * Recent Posts Carousel
 * Portfolio
 *------------------------------------------------------------*/
/*
 * @param $content
 * @param bool $autop
 * @return string
 */
if ( ! function_exists( 'ambery_remove_wpautop' ) ) {
	function ambery_remove_wpautop( $content, $autop = false ) {
		if ( $autop ) { // Possible to use !preg_match('('.WPBMap::getTagsRegexp().')', $content)
			$content = wpautop( preg_replace( '/<\/?p\>/', "\n", $content ) . "\n" );
		}
		return do_shortcode( shortcode_unautop( $content ) );
	}
}

/*------------------------------------------------------------
 * Testimonial Carousel
 * @since 1.0
 *------------------------------------------------------------*/
if ( ! function_exists( 'ambery_testimonial_carousel_sc' ) ) {
	function ambery_testimonial_carousel_sc( $atts, $content = null ) {
		extract ( shortcode_atts( array(
			'limit'     	=> -1,
			'order'     	=> 'DESC',
			'orderby'		=> 'date',
			'image'			=> 'show',
			'nav_type'		=> 'dots',
		), $atts ) );
		
		global $post;
		$args = array(
			'post_type'      		=> 'dtr_testimonial',
			'posts_per_page'		=> esc_attr( $limit ),
			'order'          		=> esc_attr( $order ), 
			'orderby'        		=> $orderby,
			'post_status'    		=> 'publish',
			'ignore_sticky_posts'	=> 1,
		);

		$query = new WP_Query( $args );
		$output = '';

		if ($query->have_posts()) :	

		$output .= '<div class="swiper swiper-container dtr-swiper dtr-testimonial dtr-testimonial-carousel clearfix"><div class="swiper-wrapper">';
			while ( $query->have_posts() ) : $query->the_post();
				$output .= '<div class="swiper-slide clearfix"><div class="dtr-testimonial-item">';
					$client_name = $client_designation = '';
					$thumb_title		= get_the_title();	
					$permalink			= get_permalink();
					$post_id 			= get_the_ID();
					$url      			= get_permalink( $post_id );
					$client_name 		= get_post_meta( $post->ID, '_ambery_testimonial_client_name', true );
					$client_designation	= get_post_meta( $post->ID, '_ambery_testimonial_client_designation', true );
					$tagline 			= get_post_meta( $post->ID, '_ambery_testimonial_tagline', true );
						
						if( has_post_thumbnail() && $image == 'show' ) { 
							$no_thumb	=  '';	
						} else {
							$no_thumb	=  'no-featured-img';	
						}
						
						$output .= '<div class="dtr-testimonial-content-wrapper ' . $no_thumb . '">';

						// image output
						if( has_post_thumbnail() && $image == 'show' ) { 
							$thumb		= get_post_thumbnail_id(); 
							$img_url	= wp_get_attachment_url( $thumb, 'full' ); 
							$output .=  '<div class="dtr-testimonial-feature-image" style="background-image: url('.  esc_url( $img_url ) .')">';
								if( $nav_type == 'dots' ) {
									$output .= '<div class="swiper-pagination testimonial-pagination"></div>';
								} 
							$output .= '</div>';
						} 

						$output .= '<div class="dtr-testimonial-content-box-wrapper">';
						$output .= '<div class="swiper-button-next testimonial-text-next clearfix">Next</div>';
						$output .= '<div class="dtr-testimonial-content-box">';
								
						if( $tagline != '' ){
							$output .= '<p class="dtr-testimonial-tagline">' . esc_html( $tagline ) . '</p>';
						} 
						
						// content	
						$output .= '<div class="dtr-testimonial-content">';
						$content = get_the_content();
						$content = apply_filters( 'the_content', $content );
						$content = str_replace( ']]>', ']]&gt;', $content );
						$output .= $content;
						$output .= '</div>';
						
						// info
						if( has_post_thumbnail() && $image == 'show' || $client_name || $client_designation ){
							$output .= '<div class="dtr-client-info">'; 
								$client_image = get_post_meta( $post->ID, '_ambery_testimonial_client_image', true );
								// image output
								if( $client_image != '' && $image == 'show' ) { 
									$output .=  '<div class="dtr-testimonial-user"><img src="' . esc_url( $client_image ) . '" alt="' . esc_attr( $client_name ) . '"/></div>'; 
									} 
								// client info
								if( $client_name || $client_designation ){
									$output .= '<div class="dtr-client-info-inner">'; 
									if( $client_name ){
										$output .= '<h5 class="dtr-client-name">' . esc_html( $client_name ) . '</h5>';
									} 
									if( $client_designation ){ 
										$output .= '<span class="dtr-client-job">' . esc_html( $client_designation ) . '</span>';
									} 
									$output .=  '</div>';
								}
								
						   $output .=  '</div>';
						}
						$output .= '</div></div>'; // content box
						
						$output .= '</div>';	

				$output .= '</div></div>';	
			endwhile;
			$output .= '</div>';
		
	  	$output .= '</div>';
		// main content ends
		
		wp_reset_postdata();
		endif;
		return $output;
	}
}
add_shortcode('dtr_testimonial_carousel', 'ambery_testimonial_carousel_sc');

/*------------------------------------------------------------
 * Testimonial Thumbs Carousel
 * @since 1.0
 *------------------------------------------------------------*/
if ( ! function_exists( 'ambery_testimonial_thumbs_carousel_sc' ) ) {
	function ambery_testimonial_thumbs_carousel_sc( $atts, $content = null ) {
		extract ( shortcode_atts( array(
			'limit'     	=> -1,
			'order'     	=> 'DESC',
			'orderby'		=> 'date',
		), $atts ) );
		
		global $post;
		$args = array(
			'post_type'      		=> 'dtr_testimonial',
			'posts_per_page'		=> esc_attr( $limit ),
			'order'          		=> esc_attr( $order ), 
			'orderby'        		=> $orderby,
			'post_status'    		=> 'publish',
			'ignore_sticky_posts'	=> 1,
		);

		$query = new WP_Query( $args );
		$output = '';
		
		if ($query->have_posts()) :	
		$output .= '<div class="dtr-testimonial-thumbs-carousel">';
		// thumbs slider
		$output .= '<div class="swiper swiper-container dtr-swiper dtr-testimonial-carousel-thumbs"><div class="swiper-wrapper">';
			while ( $query->have_posts() ) : $query->the_post();
				$output .= '<div class="swiper-slide clearfix">';
					$post_id = get_the_ID();
					$client_image = get_post_meta( $post->ID, '_ambery_testimonial_client_image', true );	
					$client_name  = get_post_meta( $post->ID, '_ambery_testimonial_client_name', true );			
					if ( $client_image != '' ) {
						$output .= '<div class="dtr-testimonial-thumbs-user"><img src="' . esc_url( $client_image ) . '" alt="' . esc_attr( $client_name ) . '"/></div>';
					} else { 
						$output .= '<div class="dtr-testimonial-thumbs-user no-testimonial-img"></div>';
					}
				$output .= '</div>';	
			endwhile;
			$output .= '</div>';
	  	$output .= '</div>';
		// thumbs slider ends
		
		// main slider
		$output .= '<div class="swiper swiper-container dtr-swiper dtr-testimonial-carousel-main"><div class="swiper-wrapper">';
			while ( $query->have_posts() ) : $query->the_post();
				$output .= '<div class="swiper-slide clearfix">';
					$client_name = $client_designation = '';
					$thumb_title		= get_the_title();	
					$permalink			= get_permalink();
					$post_id 			= get_the_ID();
					$url      			= get_permalink( $post_id );
					$tagline 			= get_post_meta( $post->ID, '_ambery_testimonial_tagline', true );
					$client_name 		= get_post_meta( $post->ID, '_ambery_testimonial_client_name', true );
					$client_designation	= get_post_meta( $post->ID, '_ambery_testimonial_client_designation', true );
					
					
						// content	
						$output .= '<div class="dtr-testimonial-content">';
						if( $tagline != '' ){
							$output .= '<p class="dtr-testimonial-tagline">' . esc_html( $tagline ) . '</p>';
						} 
						$content = get_the_content();
						$content = apply_filters( 'the_content', $content );
						$content = str_replace( ']]>', ']]&gt;', $content );
						$output .= $content;
						$output .= '</div>';
						// info
						if( $client_name || $client_designation ){
							$output .= '<div class="dtr-client-info">'; 
								
								// client info
								if( $client_name != '' ){
									$output .= '<h5 class="dtr-client-name">' . esc_html( $client_name ) . '</h5>';
								} 
								if( $client_designation != '' ){ 
									$output .= '<span class="dtr-client-job">' . esc_html( $client_designation ) . '</span>';
								} 
						   $output .=  '</div>';
						}

				$output .= '</div>';	
			endwhile;
			$output .= '</div>';
	  	$output .= '</div>';
		// main slider ends
		
		$output .= '</div>';
		wp_reset_postdata();
		endif;
		return $output;
	}
}
add_shortcode('dtr_testimonial_thumbs_carousel', 'ambery_testimonial_thumbs_carousel_sc');

/*------------------------------------------------------------
 * Portfolio Grid
 * @since 1.0
 *------------------------------------------------------------*/
if ( ! function_exists( 'dtr_ambery_portfolio_grid_sc' ) ) {
	function dtr_ambery_portfolio_grid_sc( $atts, $content = null ) {
		extract ( shortcode_atts( array(
			'image_size'	    	=> '',
			'image_size_default'	=> 'full',
			'img_width'	    		=> '600',
			'img_height'	    	=> '400',
			'filter'    			=> 'show', 
			'heading'   			=> 'show',
			'heading_size'   		=> 'h5',
			'subheading'   			=> 'show',
			'subheading_size'   	=> 'p',
			'target'         		=> 'self',
			'return_target'     	=> '', 
			'limit'     			=> '6',
			'order'	    			=> 'DESC',
			'orderby'   			=> 'date',
			'tax'       			=> '',
			'columns'				=> 'dtr-portfolio-grid-3col',
			'layout'				=> 'dtr-portfolio-masonry',
			'content_style'			=> 'dtr-portfolio-content-onhover',
			'all_text'    			=> 'All Works', 
			'media_link'    		=> 'show',
			'item_desc'    			=> 'show', 
			'item_location'    		=> 'show', 
		), $atts ) );
		
		$output = '';

		// target
		if( $target == 'blank' ){
			$return_target = '_blank';
		} elseif( $target == 'self' ){
			$return_target = '_self';
		} else {
			$return_target = '_self';
		}

		global $post;
		$args = array(
			'post_type'         => 'dtr_portfolio',
			'dtr_portfoliotags'	=> $tax,
			'posts_per_page'    => esc_attr( $limit ),
			'order'             => esc_attr( $order ), 
			'orderby'           => $orderby,
			'post_status'       => 'publish',
		);
		
		if( $filter == 'show' ){ 
		
			$portfolio_cats ='';
			if( $portfolio_cats && $portfolio_cats[0] == 0 ) {
				unset( $portfolio_cats[0] );
			}
			if( $portfolio_cats ){
				$args['tax_query'][] = array(
					'taxonomy'	=> 'dtr_portfoliotags',
					'terms' 	=> $portfolio_cats,
					'field' 	=> 'term_id',
				);
			}
		
			$loop = new WP_Query( $args );
			
			$portfolio_taxs = array();
			$filtered_taxs = array();
			
			if( is_array( $loop->posts ) && !empty( $loop->posts ) ) {
				foreach( $loop->posts as $loop_post ) {
					$post_taxs = wp_get_post_terms( $loop_post->ID, 'dtr_portfoliotags', array( "fields" => "all" ) );
					if( is_array( $post_taxs ) && !empty( $post_taxs ) ) {
						foreach( $post_taxs as $post_tax ) {
							if( is_array( $portfolio_cats ) && !empty( $portfolio_cats ) && ( in_array($post_tax->term_id, $portfolio_cats) || in_array( $post_tax->parent, $portfolio_cats )) )  						{
								$portfolio_taxs[urldecode( $post_tax->slug) ] = $post_tax->name;
							}
							if( empty( $portfolio_cats ) || !isset( $portfolio_cats ) ) {
								$portfolio_taxs[urldecode( $post_tax->slug )] = $post_tax->name;
							}
						}
					}
				}
			}

			$terms = get_terms( 'dtr_portfoliotags' );
			if( !empty( $terms ) && is_array( $terms ) ) {
				foreach( $terms as $term ) {
					if( is_array( $portfolio_taxs ) && array_key_exists ( urldecode( $term->slug ) , $portfolio_taxs ) ) {
						$filtered_taxs[urldecode( $term->slug )] = $term->name;
					}
				}
			}

			$portfolio_taxs = $filtered_taxs;
			$portfolio_category = get_terms( 'dtr_portfoliotags' );
			if( is_array( $portfolio_taxs ) && !empty( $portfolio_taxs ) ):
				$output .= '<div class="dtr-filter-nav-wrapper"><ul class="dtr-filter-nav clearfix">';
				$output .= '<li><a class="dtr-filter-all active" data-filter="*" href="#">';
				$output .= '' . esc_html( $all_text ) . '';
				$output .= '</a></li>';
				foreach( $portfolio_taxs as $portfolio_tax_slug => $portfolio_tax_name ): 
				$output .= '<li>';
					$output .= '<a data-filter=".' .  $portfolio_tax_slug . '" href="#">' . $portfolio_tax_name  . '';
				$output .= '</a></li>';
				endforeach; 
				$output .= '</ul></div>';
			endif; 
		} // filter

		$query = new WP_Query( $args );
		
		if ( $query->have_posts() ) :	
			$output .= '<div class="dtr-portfolio-grid ' . esc_attr( $layout ) . ' ' . esc_attr( $columns ) . ' ' . esc_attr( $content_style ) . '">';	
			while ( $query->have_posts() ) : $query->the_post();
				
				// add filter classes 
				$filter_classes = '';
				$item_cats = get_the_terms( $post->ID, 'dtr_portfoliotags' );
				if( $item_cats ):
				foreach( $item_cats as $item_cat ) {
					$filter_classes .= urldecode( $item_cat->slug ) . ' ';
				}
				endif;
				
				// variables
				$external_link = '';
				$post_id 					= get_the_ID();
				$thumb						= get_post_thumbnail_id(); 
				$img_url     				= wp_get_attachment_url( $thumb, 'full' ); 
				$thumb_title 				= get_the_title();
				$permalink   				= get_permalink();
				$external_link				= get_post_meta( $post->ID, '_ambery_portfolio_external_link_url', true );   
				$portfolio_item_desc		= get_post_meta( $post->ID, '_ambery_portfolio_item_desc', true ); 
				$portfolio_item_location	= get_post_meta( $post->ID, '_ambery_portfolio_item_location', true );
				
				if ( has_post_thumbnail() ) {
					$return_img_diaplay = '';
				} else {
					$return_img_diaplay = 'no-portfolio-img';
				}
					
				$output .= '<div class="dtr-portfolio-item  isotope-item '. esc_attr( $filter_classes ) . ' ' . $return_img_diaplay . ' all"><div class="dtr-portfolio-item-wrapper">';
				
					if( $content_style == 'dtr-portfolio-content-onhover' ){
						$output .= '<span class="dtr-portfolio-overlay"></span>';
					}
				
					// image width
					if( $image_size == 'img_custom' && $img_width == '' ){
						$return_width = '600';
					} else {
						$return_width = $img_width;
					}
					// image height
					if( $image_size == 'img_custom' && $img_height == '' ){
						$return_height = '400';
					} else {
						$return_height = $img_height;
					}

					// image sizes
					if( ! empty( $img_url ) && ! empty( $return_width ) && ! empty( $return_height ) && $image_size == 'img_custom' && has_post_thumbnail() ) {  
						$image_resize   = aq_resize( $img_url, $return_width, $return_height, true );
						$return_image = '<img src="' . esc_url( $image_resize ) . '" alt="' . esc_attr( $thumb_title ) . '"/>';
					} else { 
						$return_image = '' . get_the_post_thumbnail ( $post_id, $image_size_default ) . '';
					}
						
					// image output
					if( has_post_thumbnail() ) { 
						$output .=  '<div class="dtr-portfolio-img">';
						if( $media_link == 'show' ){ 
							if ( $external_link != '' ) { 
								$output .= '<a class="dtr-media-link" href="' . esc_url( $external_link ) . '" aria-label="' . get_the_title() . '" target="' . esc_attr( $return_target ) . '"></a>';
							} else {
								$output .= '<a class="dtr-media-link" href="' . get_the_permalink() . '" aria-label="' . get_the_title() . '" target="' . esc_attr( $return_target ) . '"></a>';	
							}
						}
						$output .=  '' . $return_image . '';
						$output .=  '</div>';
					} 
					
					if( $heading == 'show' || $item_location == 'show' || $item_desc == 'show' ){ 
						$output .=  '<div class="dtr-portfolio-content">';	
							// heading
							if( $heading == 'show' ){ 
								if ( $external_link != '' ) { 
									$output .= '<' . $heading_size . ' class="dtr-portfolio-heading"><a href="' . esc_url( $external_link ) . '" target="' . esc_attr( $return_target ) . '">' . get_the_title() . '</a></' . $heading_size . '>';
								} else {
									$output .= '<' . $heading_size . ' class="dtr-portfolio-heading"><a href="' . get_the_permalink() . '" target="' . esc_attr( $return_target ) . '">' . get_the_title() . '</a></' . $heading_size . '>';	
								}
							} // heading ends
	
							if( $item_location == 'show' && $portfolio_item_location != '' ){ 
								$output .=  '<p class="dtr-portfolio-location">' . esc_html( $portfolio_item_location ) . '</p>';
							} 
							if( $item_desc == 'show' && $portfolio_item_desc != '' ){ 
								$output .=  '<p class="dtr-portfolio-desc">' . esc_html( $portfolio_item_desc ) . '</p>';
							} 
							
						$output .= '</div>';
					}
					// portfolio content	
									
				$output .= '</div></div>'; // dtr-portfolio-item	
			endwhile;
			$output .= '</div>';
			wp_reset_postdata();
		endif;
		return $output;
	}
}
add_shortcode('dtr_portfolio_grid', 'dtr_ambery_portfolio_grid_sc');

/*------------------------------------------------------------
 * Recent Posts Carousel
 * @since 1.0
 *------------------------------------------------------------*/
if ( ! function_exists( 'dtr_ambery_recentpost_sc' ) ) {
	function dtr_ambery_recentpost_sc( $atts, $content = null ) {
		extract ( shortcode_atts( array(
			'title'     			=> '',
			'image'					=> '',
			'excerpt'   			=> '',
			'words'   				=> '35',
			'date'					=> '',
			'author'				=> '',
			'limit'     			=> '-1',
			'order'     			=> 'DESC',
			'orderby'   			=> 'date',
			'cat'	    			=> '',
			'category'				=> '',
			'image_size'	    	=> '',
			'image_size_default'	=> 'medium',
			'img_width'	    		=> '600',
			'img_height'	    	=> '400',
			'nav_type'				=> 'dots',
			'read_more'   			=> '',
			'read_more_text'   		=> 'Read More',
		), $atts ) );
	
		$cat = str_replace(' ','-',$cat);
		 
		global $post;
		$args = array(
			'post_type'      		=> '',
			'posts_per_page' 		=> esc_attr( $limit ),
			'order'          		=> esc_attr( $order ), 
			'orderby'        		=> $orderby,
			'post_status'    		=> 'publish',
			'ignore_sticky_posts'	=> 1,
			'category_name'  		=> $cat, 
		);
	
		$dtr_recentpost_query = new WP_Query( $args );
		$output = '';

		// pager class
		if( $nav_type == 'arrows' ) {
			$nav_class = 'dtr-slider-has-arrows';
		} elseif( $nav_type == 'dots' ) {
			$nav_class = 'dtr-slider-has-dots';	
		} else {   
			$nav_class = ''; 
		}

		if( $dtr_recentpost_query->have_posts() ) : 
			$output .= '<div class="swiper swiper-container dtr-swiper dtr-recentposts dtr-recentpost-carousel ' . $nav_class . '"><div class="swiper-wrapper">';
			while ( $dtr_recentpost_query->have_posts() ) : $dtr_recentpost_query->the_post();
				// has image
				if( has_post_thumbnail() ) { 
					$has_img = 'dtr-recentpost-has-img';
				} else {
					$has_img = 'dtr-recentpost-no-img';
				}
				$output .= '<div class="swiper-slide dtr-recentpost-carousel-item '. $has_img . '">';
					$permalink		= get_permalink();
					$thumb_title	= get_the_title();	
					$post_id 		= get_the_ID();
					$url      		= get_permalink( $post_id );
					$thumb       	= get_post_thumbnail_id(); 
					$img_url     	= wp_get_attachment_url( $thumb, 'full' ); 
					// image width
					if( $image_size == 'img_custom' && $img_width == '' ){
						$return_width = '600';
					} else {
						$return_width = $img_width;
					}
					// image height
					if( $image_size == 'img_custom' && $img_height == '' ){
						$return_height = '400';
					} else {
						$return_height = $img_height;
					}

					// image sizes
					if( ! empty( $img_url ) && ! empty( $return_width ) && ! empty( $return_height ) && $image_size == 'img_custom' && has_post_thumbnail() ) {  
						$image_resize   = aq_resize( $img_url, $return_width, $return_height, true );
						$return_image = '<img src="' . esc_url( $image_resize ) . '" alt="' . esc_attr( $thumb_title ) . '"/>';
					} else { 
						$return_image = '' . get_the_post_thumbnail ($post_id, $image_size_default) . '';
					}
					// image output
					if( has_post_thumbnail() && $image == 'show' ) { 
						$output .=  '<div class="dtr-recentposts-img">';
							$output .=  '<a href="' . esc_url( $permalink ) . '" rel="bookmark" aria-label="' . get_the_title() . '">' . $return_image . '</a>';
						$output .=  '</div>';
					} // image
					
					// content
					$output .= '<div class="dtr-recentposts-content">';
						// category
						if( $category == 'show' ) {
							$cats = get_the_category( $post->ID );
							if( $cats ) {
								$output .= '<div class="dtr-meta-category dtr-archive-category">';
								foreach( $cats as $cat ) {
									$output .= '<a href="' . esc_url( get_category_link( $cat->term_id ) ) . '">'. $cat->name .'</a>';
								}
								$output .= '</div>';
							}
						} 

						// title
						if( $title == 'show' ):
							$output .= '<h5 class="dtr-recentposts-title"><a href="' . esc_url( $permalink ) . '" rel="bookmark">' . esc_html(get_the_title()) . '</a></h5>';
						endif;	
						
						if( $author == 'show' || $date == 'show' ) {
							$output .= '<div class="dtr-meta dtr-entry-meta">';
								if( $date == 'show' ) {
									$output .= '<a class="dtr-meta-item dtr-meta-date" href="' . esc_url( $permalink ) . '" rel="bookmark">' . get_the_date() . '</a>';
								}
								if( $author == 'show' ) {
									$output .= '<a class="dtr-meta-item dtr-meta-author" href="' . esc_url(get_author_posts_url(get_the_author_meta( 'ID' ))) . '">' . esc_html(get_the_author()) . '</a>';
								}
							$output .= '</div>'; // meta
						}
	
						if( $excerpt == 'show' ) {	
							$output .= '<div class="dtr-recentposts-excerpt">';
							$content = get_the_content();
							$content = wp_trim_words( $content , $words );
							$content = str_replace( ']]>', ']]&gt;', $content );
							$output .= $content;
							$output .= '</div>';
						}
						
						// read more
						if( $read_more == 'show' ) {
							$output .= '<p><a class="dtr-read-more-sc dtr-btn-outlined" href="' . esc_url( $permalink ) . '" role="button">' . esc_html( $read_more_text ) . '<i class="icon-arrow-right" aria-hidden="true"></i></a></p>';
						}
					$output .= '</div>'; // content
				$output .= '</div>'; // item
			endwhile;
			$output .= '</div>';
			// navigation
			if( $nav_type == 'arrows' ) {
				$output .= '<div class="swiper-button-next recentposts-next"></div><div class="swiper-button-prev recentposts-prev"></div>';
			} 
			if( $nav_type == 'dots' ) {
				$output .= '<div class="swiper-pagination recentposts-pagination"></div>';
			} 
			$output .= '</div>';
			wp_reset_postdata();
		endif;
		return $output;
	}	
}
add_shortcode('dtr_recentposts', 'dtr_ambery_recentpost_sc');

/*------------------------------------------------------------
 * Recent Posts Static
 * @since 1.0
 *------------------------------------------------------------*/
if ( ! function_exists( 'dtr_ambery_static_recentpost_sc' ) ) {
	function dtr_ambery_static_recentpost_sc( $atts, $content = null ) {
		extract ( shortcode_atts( array(
			'title'     			=> '',
			'heading_words'   		=> '10',
			'excerpt'   			=> '',
			'words'   				=> '35',
			'date'					=> '',
			'author'				=> '',
			'limit'     			=> '3',
			'ignore_sticky'   		=> '1',
			'order'     			=> 'DESC',
			'orderby'   			=> 'date',
			'cat'	    			=> '',
			'category'				=> '',
			'read_more'   			=> '',
			'read_more_text'   		=> 'Read More',
		), $atts ) );
	
		$cat = str_replace(' ','-',$cat);
		 
		global $post;
		$args = array(
			'post_type'      		=> '',
			'posts_per_page' 		=> esc_attr( $limit ),
			'order'          		=> esc_attr( $order ), 
			'orderby'        		=> $orderby,
			'post_status'    		=> 'publish',
			'ignore_sticky_posts'	=> esc_attr( $ignore_sticky ),
			'category_name'  		=> $cat, 
		);
	
		$dtr_recentpost_query = new WP_Query( $args );
		$output = '';

		if( $dtr_recentpost_query->have_posts() ) : 
			$output .= '<div class="dtr-recentposts dtr-recentpost-static">';
			while ( $dtr_recentpost_query->have_posts() ) : $dtr_recentpost_query->the_post();
					$output .= '<div class="dtr-recentpost-static-item">';
					$permalink		= get_permalink();
					$thumb_title	= get_the_title();	
					$post_id 		= get_the_ID();
					$url      		= get_permalink( $post_id );
					
					// category
					if( $category == 'show' ) {
						$cats = get_the_category( $post->ID );
						if( $cats ) {
							$output .= '<div class="dtr-meta-category dtr-archive-category">';
							foreach( $cats as $cat ) {
								$output .= '<a href="' . esc_url( get_category_link( $cat->term_id ) ) . '">'. $cat->name .'</a>';
							}
							$output .= '</div>';
						}
					} 
					
					// title
					if( $title == 'show' ) {
						$output .= '<h5 class="dtr-recentposts-title"><a href="' . esc_url( $permalink ) . '" rel="bookmark">';
						$heading = get_the_title();
						$heading = wp_trim_words( $heading , $heading_words );
						$heading = str_replace( ']]>', ']]&gt;', $heading );
						$output .= $heading;
						$output .= '</a></h5>';
					}	
										
					if( $author == 'show' || $date == 'show' ) {
						$output .= '<div class="dtr-meta">';
							if( $date == 'show' ) {
								$output .= '<a class="dtr-meta-item dtr-meta-date" href="' . esc_url( $permalink ) . '" rel="bookmark">' . get_the_date() . '</a>';
							}
							if( $author == 'show' ) {
								$output .= '<a class="dtr-meta-item dtr-meta-author" href="' . esc_url(get_author_posts_url(get_the_author_meta( 'ID' ))) . '">' . esc_html(get_the_author()) . '</a>';
							}
						$output .= '</div>'; // meta
					}

					if( $excerpt == 'show' ) {	
						$output .= '<div class="dtr-recentposts-excerpt">';
						$content = get_the_content();
						$content = wp_trim_words( $content , $words );
						$content = str_replace( ']]>', ']]&gt;', $content );
						$output .= $content;
						$output .= '</div>';
					}
					
					// read more
					if( $read_more == 'show' ) {
						$output .= '<p><a class="dtr-read-more-sc dtr-btn-outlined" href="' . esc_url( $permalink ) . '" role="button">' . esc_html( $read_more_text ) . '<i class="icon-arrow-right" aria-hidden="true"></i></a></p>';
					}
				$output .= '</div>'; // item
			endwhile;		
			$output .= '</div>';
			wp_reset_postdata();
		endif;
		return $output;
	}	
}
add_shortcode('dtr_static_recentposts', 'dtr_ambery_static_recentpost_sc');


/*------------------------------------------------------------
 * Recent Posts Single
 * @since 1.0
 *------------------------------------------------------------*/
if ( ! function_exists( 'dtr_ambery_staticsn_recentpost_sc' ) ) {
	function dtr_ambery_staticsn_recentpost_sc( $atts, $content = null ) {
		extract ( shortcode_atts( array(
			'title'     			=> '',
			'excerpt'   			=> '',
			'words'   				=> '35',
			'date'					=> '',
			'author'				=> '',
			'order'     			=> 'DESC',
			'orderby'   			=> 'date',
			'cat'	    			=> '',
			'category'				=> '',
			'image'	    			=> '',
			'image_size'	    	=> '',
			'image_size_default'	=> 'medium',
			'img_width'	    		=> '600',
			'img_height'	    	=> '400',
			'read_more'   			=> '',
			'read_more_text'   		=> 'Read More',
			'show_post_selected'   	=> 'no',
			'post_selected'   		=> '',
		), $atts ) );
		
		$cat = str_replace(' ','-',$cat);
		 
		global $post;
		
		if( $show_post_selected == 'yes' ){
			$args = array(
				'post_type'      		=> '',
				'posts_per_page' 		=> '1',
				'order'          		=> esc_attr( $order ), 
				'orderby'        		=> $orderby,
				'post_status'    		=> 'publish',
				'ignore_sticky_posts'	=> '1',
				'category_name'  		=> $cat, 
				'post__in' 				=> array( $post_selected ),
			);
		} else {
			$args = array(
				'post_type'      		=> '',
				'posts_per_page' 		=> '1',
				'order'          		=> esc_attr( $order ), 
				'orderby'        		=> $orderby,
				'post_status'    		=> 'publish',
				'ignore_sticky_posts'	=> '1',
				'category_name'  		=> $cat, 
			);
		}
	
		$dtr_recentpost_query = new WP_Query( $args );
		$output = '';

		if( $dtr_recentpost_query->have_posts() ) : 
			$output .= '<div class="dtr-recentposts dtr-recentpost-single">';
			while ( $dtr_recentpost_query->have_posts() ) : $dtr_recentpost_query->the_post();
					$permalink		= get_permalink();
					$thumb_title	= get_the_title();	
					$post_id 		= get_the_ID();
					$url      		= get_permalink( $post_id );
					$thumb       	= get_post_thumbnail_id(); 
					$img_url     	= wp_get_attachment_url( $thumb, 'full' ); 

					// image width
					if( $image_size == 'img_custom' && $img_width == '' ){
						$return_width = '600';
					} else {
						$return_width = $img_width;
					}
					// image height
					if( $image_size == 'img_custom' && $img_height == '' ){
						$return_height = '400';
					} else {
						$return_height = $img_height;
					}

					// image sizes
					if( ! empty( $img_url ) && ! empty( $return_width ) && ! empty( $return_height ) && $image_size == 'img_custom' && has_post_thumbnail() ) {  
						$image_resize   = aq_resize( $img_url, $return_width, $return_height, true );
						$return_image = '<img src="' . esc_url( $image_resize ) . '" alt="' . esc_attr( $thumb_title ) . '"/>';
					} else { 
						$return_image = '' . get_the_post_thumbnail ($post_id, $image_size_default) . '';
					}
					// image output
					if( has_post_thumbnail() && $image == 'show' ) { 
						$output .=  '<div class="dtr-recentposts-img">';
							$output .=  '<a href="' . esc_url( $permalink ) . '" rel="bookmark" aria-label="' . get_the_title() . '">' . $return_image . '</a>';
						$output .=  '</div>';
					} // image
					
					// content
					$output .= '<div class="dtr-recentposts-content">';
						// category
						if( $category == 'show' ) {
							$cats = get_the_category( $post->ID );
							if( $cats ) {
								$output .= '<div class="dtr-meta-category dtr-archive-category">';
								foreach( $cats as $cat ) {
									$output .= '<a href="' . esc_url( get_category_link( $cat->term_id ) ) . '">'. $cat->name .'</a>';
								}
								$output .= '</div>';
							}
						} 

						if( $author == 'show' || $date == 'show' ) {
							$output .= '<div class="dtr-meta">';
								if( $author == 'show' ) {
									$output .= '<a class="dtr-meta-item dtr-meta-author" href="' . esc_url(get_author_posts_url(get_the_author_meta( 'ID' ))) . '">' . esc_html(get_the_author()) . '</a>';
								}
								
								if( $date == 'show' ) {
									$output .= '<a class="dtr-meta-item" href="' . esc_url( $permalink ) . '" rel="bookmark">' . get_the_date() . '</a>';
								}
							$output .= '</div>'; // meta
						}
						
						// title
						if( $title == 'show' ):
							$output .= '<h5 class="dtr-recentposts-title"><a href="' . esc_url( $permalink ) . '" rel="bookmark">' . esc_html(get_the_title()) . '</a></h5>';
						endif;
		
						if( $excerpt == 'show' ) {	
							$output .= '<div class="dtr-recentposts-excerpt">';
							$content = get_the_content();
							$content = wp_trim_words( $content , $words );
							$content = str_replace( ']]>', ']]&gt;', $content );
							$output .= $content;
							$output .= '</div>';
						}
						
						// read more
						if( $read_more == 'show' ) {
							$output .= '<p><a class="dtr-read-more-sc dtr-btn-outlined" href="' . esc_url( $permalink ) . '" role="button">' . esc_html( $read_more_text ) . '<i class="icon-arrow-right" aria-hidden="true"></i></a></p>';
						}
					$output .= '</div>'; // content
			endwhile;		
			$output .= '</div>';
			wp_reset_postdata();
		endif;
		return $output;
	}	
}
add_shortcode('dtr_single_recentposts', 'dtr_ambery_staticsn_recentpost_sc');