( function( $ ) {
	
	// testimonial
	var WidgetTestimonialHandler = function( $scope, $ ) {
		var swiper = new Swiper(".dtr-testimonial-carousel", {
			slidesPerView: 1,
			spaceBetween: 0,
			loop: true,
			speed: 1200,
			effect: 'fade',
			fadeEffect: {
				crossFade: true
			},
			pagination: {
				el: ".swiper-pagination.testimonial-pagination",
				clickable: true,
			},
			navigation: {
				nextEl: ".swiper-button-next.testimonial-text-next",
				prevEl: ".swiper-button-prev.testimonial-text-prev",
			},
			autoplay: {
				delay: 6000,
				disableOnInteraction: true,
				pauseOnMouseEnter: true
			},
		});
		
	}; // WidgetTestimonialHandler

	// testimonial with thumbs
	var WidgetThumbsTestimonialHandler = function( $scope, $ ) {
		// thumb
		var sliderThumb = new Swiper(".dtr-testimonial-carousel-thumbs", {
			spaceBetween: 25,
			slidesPerView: 3,
			autoplay: true,
			centeredSlides: false,
			allowTouchMove : true,
			centeredSlidesBounds: false,
			loop: true,
			autoplay: {
				delay: 6000,
				disableOnInteraction: true,
			},
			freeMode: true,
			//watchSlidesProgress: true,
		});
		// main
		var sliderMain = new Swiper(".dtr-testimonial-carousel-main", {
			spaceBetween: 0,
			autoplay: true,
			centeredSlides: true,
			//simulateTouch : false,
			loop: true,
			autoplay: {
				delay: 6000,
				disableOnInteraction: true,
			},
			navigation: false,
			thumbs: {
			swiper: sliderThumb,
			},
		});
	}; // WidgetThumbsTestimonialHandler
		
	// Portfolio masonry	
	var WidgetPortfolioMasonryHandler = function( $scope, $ ) {
		var dtr_portfolio_grid = $scope.find('.dtr-portfolio-masonry');
		dtr_portfolio_grid.imagesLoaded( function () {
			dtr_portfolio_grid.isotope( 
			{
				itemSelector: '.dtr-portfolio-item',
				masonry: { columnWidth: '.dtr-portfolio-masonry .dtr-portfolio-item' }
			});
			});
			$('.dtr-filter-nav a').on('click', function () {
				$('.dtr-filter-nav a').removeClass('active');
				$(this).addClass('active');
				var selector = $(this).attr('data-filter');
				dtr_portfolio_grid.isotope({
					filter: selector
				});
				return false;
			});
	}; // WidgetPortfolioMasonryHandler
	
	// Portfolio Grid	
	var WidgetPortfolioGridHandler = function( $scope, $ ) {
		var dtr_portfolio_grid = $scope.find('.dtr-portfolio-fitrows');
		dtr_portfolio_grid.imagesLoaded( function () {
			dtr_portfolio_grid.isotope( 
			{
				itemSelector: '.dtr-portfolio-item',
				masonry: {},
				layoutMode : 'fitRows',
			});
			});
			$('.dtr-filter-nav a').on('click', function () {
				$('.dtr-filter-nav a').removeClass('active');
				$(this).addClass('active');
				var selector = $(this).attr('data-filter');
				dtr_portfolio_grid.isotope({
					filter: selector
				});
				return false;
			});
	}; // WidgetPortfolioGridHandler
	
	// post carousel
	var WidgetPostCarouselHandler = function( $scope, $ ) {
		var swiper = new Swiper(".dtr-recentpost-carousel", {
			slidesPerView: 1,
			spaceBetween: 0,
			pagination: {
				el: ".swiper-pagination.recentposts-pagination",
				clickable: true,
			},
			navigation: {
				nextEl: ".swiper-button-next.recentposts-next",
				prevEl: ".swiper-button-prev.recentposts-prev",
			},
			autoplay: {
				delay: 7000,
				disableOnInteraction: true,
				pauseOnMouseEnter: true
			},
			breakpoints: {
			  782: {
				slidesPerView: 2,
				spaceBetween: 20,
			  },
			  1280: {
				slidesPerView: 3,
				spaceBetween: 20,
			  },
			},
		});
		
	}; // WidgetPostCarouselHandler
	
	// Tabs
	var WidgetStyledTabsHandler = function( $scope, $ ) {
		var dtr_styled_tabs = $scope.find('.dtr-tabs .nav-tabs a:first, .tab-content div:first');
		dtr_styled_tabs.addClass('active');
	}; // WidgetStyledTabsHandler
	
	// Accordion Heading	
	var WidgetAccordionHeadignHandler = function( $scope, $ ) {
		var dtr_accordion_heading = $scope.find('.dtr-accordion .accordion-button:first');
		dtr_accordion_heading.removeClass('collapsed');
	}; // WidgetAccordionHeadignHandler
	
	// Accordion Content
	var WidgetAccordionContentHandler = function( $scope, $ ) {
		var dtr_accordion_content = $scope.find('.dtr-accordion .accordion-item:first .accordion-collapse.collapse');
		dtr_accordion_content.addClass('show');
	}; // WidgetAccordionContentHandler

	// video popup
	var WidgetVideoPopupHandler = function( $scope, $ ) {
		new VenoBox({
			selector: '.dtr-video-popup'
		});
	}; // WidgetVideoPopupHandler

	// Make sure you run this code under Elementor.
	$( window ).on( 'elementor/frontend/init', function() {
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-testimonial-carousel.default', WidgetTestimonialHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-testimonial-thumbs-carousel.default', WidgetThumbsTestimonialHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-grid-portfolio.default', WidgetPortfolioGridHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-grid-portfolio.default', WidgetPortfolioMasonryHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-posts-carousel.default', WidgetPostCarouselHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-styled-tabs.default', WidgetStyledTabsHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-accordion.default', WidgetAccordionHeadignHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-accordion.default', WidgetAccordionContentHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-video-lightbox.default', WidgetVideoPopupHandler );
	} );

} )( jQuery );